local MOD = DugisGuideViewer
local _
local MapOverlays = MOD:RegisterModule("MapOverlays")
MapOverlays.essential = true
local harvestingDataMode = false

local HBDMigrate = LibStub("HereBeDragons-Migrate-Dugis")

function MapOverlays:Initialize()
	local defaults = {
		global = {
			overlayData = {
				
				----------- Content of DataExport: ----------------
				--To enable harvesting data into DataExport variable the harvestingDataMode must be set to true
				--Then open the WorldMap on the discovered areas. Once you have visited areas make a /reload and check the DataExport variable.
				--in DugisGuideViewerZ.lua in SavedVariables directory.
				[1443] = {
					{
						["offsetX"] = 241,
						["textureHeight"] = 100,
						["textureWidth"] = 100,
						["offsetY"] = 6,
						["fileDataIDs"] = {
							2212638, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 555,
						["textureHeight"] = 160,
						["textureWidth"] = 170,
						["offsetY"] = 181,
						["fileDataIDs"] = {
							2212635, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 447,
						["textureHeight"] = 220,
						["textureWidth"] = 190,
						["offsetY"] = 102,
						["fileDataIDs"] = {
							271111, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 293,
						["textureHeight"] = 242,
						["textureWidth"] = 195,
						["offsetY"] = 426,
						["fileDataIDs"] = {
							271122, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 554,
						["textureHeight"] = 250,
						["textureWidth"] = 200,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271114, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 431,
						["textureHeight"] = 145,
						["textureWidth"] = 205,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271126, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 690,
						["textureHeight"] = 195,
						["textureWidth"] = 205,
						["offsetY"] = 444,
						["fileDataIDs"] = {
							271105, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 311,
						["textureHeight"] = 250,
						["textureWidth"] = 205,
						["offsetY"] = 61,
						["fileDataIDs"] = {
							2212632, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 590,
						["textureHeight"] = 285,
						["textureWidth"] = 205,
						["offsetY"] = 365,
						["fileDataIDs"] = {
							2212636, -- [1]
							2212637, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 607,
						["textureHeight"] = 220,
						["textureWidth"] = 220,
						["offsetY"] = 215,
						["fileDataIDs"] = {
							2212634, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 167,
						["textureHeight"] = 230,
						["textureWidth"] = 230,
						["offsetY"] = 389,
						["fileDataIDs"] = {
							271125, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 212,
						["textureHeight"] = 285,
						["textureWidth"] = 245,
						["offsetY"] = 215,
						["fileDataIDs"] = {
							271106, -- [1]
							271129, -- [2]
						},
					}, -- [12]
					{
						["offsetX"] = 387,
						["textureHeight"] = 250,
						["textureWidth"] = 275,
						["offsetY"] = 244,
						["fileDataIDs"] = {
							271127, -- [1]
							2212633, -- [2]
						},
					}, -- [13]
					{
						["offsetX"] = 625,
						["textureHeight"] = 245,
						["textureWidth"] = 285,
						["offsetY"] = 33,
						["fileDataIDs"] = {
							271104, -- [1]
							271124, -- [2]
						},
					}, -- [14]
					{
						["offsetX"] = 399,
						["textureHeight"] = 280,
						["textureWidth"] = 285,
						["offsetY"] = 380,
						["fileDataIDs"] = {
							271108, -- [1]
							271112, -- [2]
							271113, -- [3]
							271109, -- [4]
						},
					}, -- [15]
				},
				[1447] = {
					{
						["offsetX"] = 818,
						["textureHeight"] = 155,
						["textureWidth"] = 120,
						["offsetY"] = 107,
						["fileDataIDs"] = {
							270434, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 422,
						["textureHeight"] = 215,
						["textureWidth"] = 145,
						["offsetY"] = 95,
						["fileDataIDs"] = {
							2212573, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 404,
						["textureHeight"] = 210,
						["textureWidth"] = 160,
						["offsetY"] = 194,
						["fileDataIDs"] = {
							270412, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 681,
						["textureHeight"] = 200,
						["textureWidth"] = 190,
						["offsetY"] = 153,
						["fileDataIDs"] = {
							2212567, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 77,
						["textureHeight"] = 150,
						["textureWidth"] = 200,
						["offsetY"] = 331,
						["fileDataIDs"] = {
							2212555, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 84,
						["textureHeight"] = 175,
						["textureWidth"] = 215,
						["offsetY"] = 229,
						["fileDataIDs"] = {
							2212574, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 191,
						["textureHeight"] = 255,
						["textureWidth"] = 220,
						["offsetY"] = 369,
						["fileDataIDs"] = {
							2212554, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 35,
						["textureHeight"] = 180,
						["textureWidth"] = 225,
						["offsetY"] = 422,
						["fileDataIDs"] = {
							2212564, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 478,
						["textureHeight"] = 140,
						["textureWidth"] = 235,
						["offsetY"] = 44,
						["fileDataIDs"] = {
							2212560, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 250,
						["textureHeight"] = 270,
						["textureWidth"] = 235,
						["offsetY"] = 106,
						["fileDataIDs"] = {
							2212571, -- [1]
							2212572, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 552,
						["textureHeight"] = 125,
						["textureWidth"] = 240,
						["offsetY"] = 499,
						["fileDataIDs"] = {
							270410, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 499,
						["textureHeight"] = 155,
						["textureWidth"] = 240,
						["offsetY"] = 119,
						["fileDataIDs"] = {
							2212568, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 644,
						["textureHeight"] = 185,
						["textureWidth"] = 245,
						["offsetY"] = 40,
						["fileDataIDs"] = {
							270432, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 238,
						["textureHeight"] = 280,
						["textureWidth"] = 265,
						["offsetY"] = 221,
						["fileDataIDs"] = {
							270414, -- [1]
							2212561, -- [2]
							2212562, -- [3]
							2212563, -- [4]
						},
					}, -- [14]
					{
						["offsetX"] = 479,
						["textureHeight"] = 300,
						["textureWidth"] = 270,
						["offsetY"] = 201,
						["fileDataIDs"] = {
							2212550, -- [1]
							2212551, -- [2]
							2212552, -- [3]
							2212553, -- [4]
						},
					}, -- [15]
					{
						["offsetX"] = 296,
						["textureHeight"] = 200,
						["textureWidth"] = 315,
						["offsetY"] = 429,
						["fileDataIDs"] = {
							270409, -- [1]
							2212559, -- [2]
						},
					}, -- [16]
					{
						["offsetX"] = 389,
						["textureHeight"] = 220,
						["textureWidth"] = 370,
						["offsetY"] = 353,
						["fileDataIDs"] = {
							2212565, -- [1]
							2212566, -- [2]
						},
					}, -- [17]
					{
						["offsetX"] = 396,
						["textureHeight"] = 128,
						["textureWidth"] = 395,
						["offsetY"] = 540,
						["fileDataIDs"] = {
							2212569, -- [1]
							2212570, -- [2]
						},
					}, -- [18]
					{
						["offsetX"] = 366,
						["textureHeight"] = 170,
						["textureWidth"] = 570,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2212556, -- [1]
							2212557, -- [2]
							2212558, -- [3]
						},
					}, -- [19]
				},
				[1451] = {
					{
						["offsetX"] = 116,
						["textureHeight"] = 256,
						["textureWidth"] = 288,
						["offsetY"] = 413,
						["fileDataIDs"] = {
							272564, -- [1]
							272553, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 344,
						["textureHeight"] = 256,
						["textureWidth"] = 320,
						["offsetY"] = 197,
						["fileDataIDs"] = {
							272573, -- [1]
							272545, -- [2]
						},
					}, -- [2]
					{
						["offsetX"] = 104,
						["textureHeight"] = 289,
						["textureWidth"] = 320,
						["offsetY"] = 24,
						["fileDataIDs"] = {
							272581, -- [1]
							272562, -- [2]
							2213052, -- [3]
							2213053, -- [4]
						},
					}, -- [3]
					{
						["offsetX"] = 500,
						["textureHeight"] = 384,
						["textureWidth"] = 384,
						["offsetY"] = 65,
						["fileDataIDs"] = {
							272580, -- [1]
							272544, -- [2]
							2213048, -- [3]
							2213049, -- [4]
						},
					}, -- [4]
					{
						["offsetX"] = 97,
						["textureHeight"] = 512,
						["textureWidth"] = 384,
						["offsetY"] = 144,
						["fileDataIDs"] = {
							272559, -- [1]
							272543, -- [2]
							272574, -- [3]
							272575, -- [4]
						},
					}, -- [5]
					{
						["offsetX"] = 265,
						["textureHeight"] = 320,
						["textureWidth"] = 512,
						["offsetY"] = 12,
						["fileDataIDs"] = {
							272565, -- [1]
							272566, -- [2]
							272577, -- [3]
							272546, -- [4]
						},
					}, -- [6]
					{
						["offsetX"] = 245,
						["textureHeight"] = 384,
						["textureWidth"] = 512,
						["offsetY"] = 285,
						["fileDataIDs"] = {
							272567, -- [1]
							272547, -- [2]
							272555, -- [3]
							272548, -- [4]
						},
					}, -- [7]
				},
				[1459] = {
					{
						["offsetX"] = 399,
						["textureHeight"] = 290,
						["textureWidth"] = 235,
						["offsetY"] = 375,
						["fileDataIDs"] = {
							270314, -- [1]
							270315, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 348,
						["textureHeight"] = 240,
						["textureWidth"] = 270,
						["offsetY"] = 13,
						["fileDataIDs"] = {
							270331, -- [1]
							270325, -- [2]
						},
					}, -- [2]
					{
						["offsetX"] = 335,
						["textureHeight"] = 300,
						["textureWidth"] = 300,
						["offsetY"] = 172,
						["fileDataIDs"] = {
							270320, -- [1]
							270321, -- [2]
							270322, -- [3]
							270323, -- [4]
						},
					}, -- [3]
				},
				[1412] = {
					{
						["offsetX"] = 473,
						["textureHeight"] = 120,
						["textureWidth"] = 128,
						["offsetY"] = 260,
						["fileDataIDs"] = {
							272185, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 379,
						["textureHeight"] = 155,
						["textureWidth"] = 128,
						["offsetY"] = 242,
						["fileDataIDs"] = {
							272178, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 303,
						["textureHeight"] = 205,
						["textureWidth"] = 128,
						["offsetY"] = 307,
						["fileDataIDs"] = {
							272176, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 458,
						["textureHeight"] = 128,
						["textureWidth"] = 170,
						["offsetY"] = 369,
						["fileDataIDs"] = {
							272180, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 291,
						["textureHeight"] = 128,
						["textureWidth"] = 185,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272172, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 395,
						["textureHeight"] = 128,
						["textureWidth"] = 205,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272179, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 502,
						["textureHeight"] = 230,
						["textureWidth"] = 205,
						["offsetY"] = 16,
						["fileDataIDs"] = {
							272169, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 255,
						["textureHeight"] = 180,
						["textureWidth"] = 210,
						["offsetY"] = 214,
						["fileDataIDs"] = {
							272181, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 428,
						["textureHeight"] = 240,
						["textureWidth"] = 215,
						["offsetY"] = 80,
						["fileDataIDs"] = {
							272177, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 532,
						["textureHeight"] = 235,
						["textureWidth"] = 225,
						["offsetY"] = 238,
						["fileDataIDs"] = {
							272186, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 523,
						["textureHeight"] = 190,
						["textureWidth"] = 256,
						["offsetY"] = 356,
						["fileDataIDs"] = {
							272170, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 367,
						["textureHeight"] = 200,
						["textureWidth"] = 256,
						["offsetY"] = 303,
						["fileDataIDs"] = {
							272173, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 249,
						["textureHeight"] = 240,
						["textureWidth"] = 280,
						["offsetY"] = 59,
						["fileDataIDs"] = {
							272187, -- [1]
							272171, -- [2]
						},
					}, -- [13]
					{
						["offsetX"] = 270,
						["textureHeight"] = 243,
						["textureWidth"] = 470,
						["offsetY"] = 425,
						["fileDataIDs"] = {
							272168, -- [1]
							272165, -- [2]
						},
					}, -- [14]
				},
				[1416] = {
					{
						["offsetX"] = 225,
						["textureHeight"] = 175,
						["textureWidth"] = 160,
						["offsetY"] = 478,
						["fileDataIDs"] = {
							768731, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 314,
						["textureHeight"] = 197,
						["textureWidth"] = 165,
						["offsetY"] = 471,
						["fileDataIDs"] = {
							768752, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 317,
						["textureHeight"] = 170,
						["textureWidth"] = 190,
						["offsetY"] = 372,
						["fileDataIDs"] = {
							768732, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 399,
						["textureHeight"] = 288,
						["textureWidth"] = 195,
						["offsetY"] = 380,
						["fileDataIDs"] = {
							768721, -- [1]
							768722, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 406,
						["textureHeight"] = 200,
						["textureWidth"] = 200,
						["offsetY"] = 279,
						["fileDataIDs"] = {
							768730, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 196,
						["textureHeight"] = 280,
						["textureWidth"] = 220,
						["offsetY"] = 131,
						["fileDataIDs"] = {
							768738, -- [1]
							769205, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 462,
						["textureHeight"] = 200,
						["textureWidth"] = 235,
						["offsetY"] = 77,
						["fileDataIDs"] = {
							768753, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 270,
						["textureHeight"] = 255,
						["textureWidth"] = 255,
						["offsetY"] = 197,
						["fileDataIDs"] = {
							768739, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 462,
						["textureHeight"] = 320,
						["textureWidth"] = 255,
						["offsetY"] = 307,
						["fileDataIDs"] = {
							768744, -- [1]
							768745, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 334,
						["textureHeight"] = 240,
						["textureWidth"] = 280,
						["offsetY"] = 162,
						["fileDataIDs"] = {
							768723, -- [1]
							769200, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 276,
						["textureHeight"] = 230,
						["textureWidth"] = 285,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							768728, -- [1]
							768729, -- [2]
						},
					}, -- [11]
					{
						["offsetX"] = 26,
						["textureHeight"] = 300,
						["textureWidth"] = 300,
						["offsetY"] = 262,
						["fileDataIDs"] = {
							769201, -- [1]
							769202, -- [2]
							769203, -- [3]
							769204, -- [4]
						},
					}, -- [12]
					{
						["offsetX"] = 44,
						["textureHeight"] = 265,
						["textureWidth"] = 330,
						["offsetY"] = 403,
						["fileDataIDs"] = {
							768734, -- [1]
							768735, -- [2]
							768736, -- [3]
							768737, -- [4]
						},
					}, -- [13]
					{
						["offsetX"] = 626,
						["textureHeight"] = 370,
						["textureWidth"] = 350,
						["offsetY"] = 253,
						["fileDataIDs"] = {
							768717, -- [1]
							768718, -- [2]
							768719, -- [3]
							768720, -- [4]
						},
					}, -- [14]
					{
						["offsetX"] = 549,
						["textureHeight"] = 300,
						["textureWidth"] = 370,
						["offsetY"] = 105,
						["fileDataIDs"] = {
							768748, -- [1]
							768749, -- [2]
							768750, -- [3]
							768751, -- [4]
						},
					}, -- [15]
				},
				[1420] = {
					{
						["offsetX"] = 537,
						["textureHeight"] = 158,
						["textureWidth"] = 128,
						["offsetY"] = 299,
						["fileDataIDs"] = {
							273015, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 474,
						["textureHeight"] = 128,
						["textureWidth"] = 150,
						["offsetY"] = 327,
						["fileDataIDs"] = {
							273016, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 694,
						["textureHeight"] = 128,
						["textureWidth"] = 173,
						["offsetY"] = 289,
						["fileDataIDs"] = {
							273000, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 497,
						["textureHeight"] = 220,
						["textureWidth"] = 174,
						["offsetY"] = 145,
						["fileDataIDs"] = {
							273020, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 689,
						["textureHeight"] = 247,
						["textureWidth"] = 175,
						["offsetY"] = 104,
						["fileDataIDs"] = {
							272996, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 395,
						["textureHeight"] = 128,
						["textureWidth"] = 186,
						["offsetY"] = 277,
						["fileDataIDs"] = {
							2213434, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 587,
						["textureHeight"] = 288,
						["textureWidth"] = 201,
						["offsetY"] = 139,
						["fileDataIDs"] = {
							273009, -- [1]
							273002, -- [2]
						},
					}, -- [7]
					{
						["offsetX"] = 746,
						["textureHeight"] = 189,
						["textureWidth"] = 211,
						["offsetY"] = 125,
						["fileDataIDs"] = {
							2213425, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 630,
						["textureHeight"] = 179,
						["textureWidth"] = 216,
						["offsetY"] = 326,
						["fileDataIDs"] = {
							273006, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 698,
						["textureHeight"] = 205,
						["textureWidth"] = 230,
						["offsetY"] = 362,
						["fileDataIDs"] = {
							2213418, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 757,
						["textureHeight"] = 214,
						["textureWidth"] = 237,
						["offsetY"] = 205,
						["fileDataIDs"] = {
							272999, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 363,
						["textureHeight"] = 199,
						["textureWidth"] = 243,
						["offsetY"] = 349,
						["fileDataIDs"] = {
							273003, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 227,
						["textureHeight"] = 205,
						["textureWidth"] = 245,
						["offsetY"] = 328,
						["fileDataIDs"] = {
							273001, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 239,
						["textureHeight"] = 156,
						["textureWidth"] = 256,
						["offsetY"] = 250,
						["fileDataIDs"] = {
							273017, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 335,
						["textureHeight"] = 210,
						["textureWidth"] = 256,
						["offsetY"] = 139,
						["fileDataIDs"] = {
							273019, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 463,
						["textureHeight"] = 235,
						["textureWidth"] = 315,
						["offsetY"] = 361,
						["fileDataIDs"] = {
							2213428, -- [1]
							2213430, -- [2]
						},
					}, -- [16]
				},
				[1424] = {
					{
						["offsetX"] = 109,
						["textureHeight"] = 100,
						["textureWidth"] = 125,
						["offsetY"] = 482,
						["fileDataIDs"] = {
							271904, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 175,
						["textureHeight"] = 200,
						["textureWidth"] = 165,
						["offsetY"] = 275,
						["fileDataIDs"] = {
							2212736, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 414,
						["textureHeight"] = 155,
						["textureWidth"] = 205,
						["offsetY"] = 154,
						["fileDataIDs"] = {
							271897, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 541,
						["textureHeight"] = 240,
						["textureWidth"] = 215,
						["offsetY"] = 236,
						["fileDataIDs"] = {
							2212742, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 509,
						["textureHeight"] = 310,
						["textureWidth"] = 220,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271894, -- [1]
							2212744, -- [2]
						},
					}, -- [5]
					{
						["offsetX"] = 524,
						["textureHeight"] = 320,
						["textureWidth"] = 230,
						["offsetY"] = 339,
						["fileDataIDs"] = {
							2212737, -- [1]
							2212738, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 418,
						["textureHeight"] = 270,
						["textureWidth"] = 235,
						["offsetY"] = 201,
						["fileDataIDs"] = {
							271905, -- [1]
							2212743, -- [2]
						},
					}, -- [7]
					{
						["offsetX"] = 637,
						["textureHeight"] = 275,
						["textureWidth"] = 240,
						["offsetY"] = 294,
						["fileDataIDs"] = {
							271885, -- [1]
							271877, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 208,
						["textureHeight"] = 155,
						["textureWidth"] = 285,
						["offsetY"] = 368,
						["fileDataIDs"] = {
							2212746, -- [1]
							2212747, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 2,
						["textureHeight"] = 225,
						["textureWidth"] = 288,
						["offsetY"] = 192,
						["fileDataIDs"] = {
							271876, -- [1]
							271881, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 198,
						["textureHeight"] = 275,
						["textureWidth"] = 305,
						["offsetY"] = 155,
						["fileDataIDs"] = {
							271883, -- [1]
							271892, -- [2]
							2212739, -- [3]
							2212740, -- [4]
						},
					}, -- [11]
					{
						["offsetX"] = 605,
						["textureHeight"] = 365,
						["textureWidth"] = 384,
						["offsetY"] = 75,
						["fileDataIDs"] = {
							271872, -- [1]
							271898, -- [2]
							271882, -- [3]
							271891, -- [4]
						},
					}, -- [12]
				},
				[1428] = {
					{
						["offsetX"] = 707,
						["textureHeight"] = 225,
						["textureWidth"] = 220,
						["offsetY"] = 168,
						["fileDataIDs"] = {
							270927, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 36,
						["textureHeight"] = 220,
						["textureWidth"] = 225,
						["offsetY"] = 109,
						["fileDataIDs"] = {
							270938, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 334,
						["textureHeight"] = 265,
						["textureWidth"] = 245,
						["offsetY"] = 114,
						["fileDataIDs"] = {
							270912, -- [1]
							270909, -- [2]
						},
					}, -- [3]
					{
						["offsetX"] = 173,
						["textureHeight"] = 280,
						["textureWidth"] = 256,
						["offsetY"] = 101,
						["fileDataIDs"] = {
							270919, -- [1]
							270911, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 513,
						["textureHeight"] = 285,
						["textureWidth"] = 270,
						["offsetY"] = 99,
						["fileDataIDs"] = {
							270922, -- [1]
							270934, -- [2]
							270923, -- [3]
							270937, -- [4]
						},
					}, -- [5]
					{
						["offsetX"] = 589,
						["textureHeight"] = 310,
						["textureWidth"] = 270,
						["offsetY"] = 279,
						["fileDataIDs"] = {
							270920, -- [1]
							270914, -- [2]
							270908, -- [3]
							270929, -- [4]
						},
					}, -- [6]
					{
						["offsetX"] = 722,
						["textureHeight"] = 355,
						["textureWidth"] = 280,
						["offsetY"] = 46,
						["fileDataIDs"] = {
							270944, -- [1]
							270910, -- [2]
							270935, -- [3]
							270945, -- [4]
						},
					}, -- [7]
					{
						["offsetX"] = 708,
						["textureHeight"] = 270,
						["textureWidth"] = 294,
						["offsetY"] = 311,
						["fileDataIDs"] = {
							270906, -- [1]
							270918, -- [2]
							270936, -- [3]
							270942, -- [4]
						},
					}, -- [8]
					{
						["offsetX"] = 377,
						["textureHeight"] = 270,
						["textureWidth"] = 320,
						["offsetY"] = 285,
						["fileDataIDs"] = {
							270933, -- [1]
							270943, -- [2]
							270921, -- [3]
							270928, -- [4]
						},
					}, -- [9]
					{
						["offsetX"] = 56,
						["textureHeight"] = 315,
						["textureWidth"] = 415,
						["offsetY"] = 258,
						["fileDataIDs"] = {
							270941, -- [1]
							270925, -- [2]
							270926, -- [3]
							270917, -- [4]
						},
					}, -- [10]
				},
				[1432] = {
					{
						["offsetX"] = 109,
						["textureHeight"] = 250,
						["textureWidth"] = 195,
						["offsetY"] = 370,
						["fileDataIDs"] = {
							252899, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 125,
						["textureHeight"] = 300,
						["textureWidth"] = 230,
						["offsetY"] = 12,
						["fileDataIDs"] = {
							252882, -- [1]
							252883, -- [2]
						},
					}, -- [2]
					{
						["offsetX"] = 229,
						["textureHeight"] = 270,
						["textureWidth"] = 235,
						["offsetY"] = 11,
						["fileDataIDs"] = {
							252884, -- [1]
							2212852, -- [2]
						},
					}, -- [3]
					{
						["offsetX"] = 215,
						["textureHeight"] = 285,
						["textureWidth"] = 255,
						["offsetY"] = 348,
						["fileDataIDs"] = {
							252886, -- [1]
							252887, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 217,
						["textureHeight"] = 230,
						["textureWidth"] = 256,
						["offsetY"] = 203,
						["fileDataIDs"] = {
							252898, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 339,
						["textureHeight"] = 175,
						["textureWidth"] = 290,
						["offsetY"] = 11,
						["fileDataIDs"] = {
							2212855, -- [1]
							2212856, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 309,
						["textureHeight"] = 358,
						["textureWidth"] = 295,
						["offsetY"] = 310,
						["fileDataIDs"] = {
							252862, -- [1]
							252863, -- [2]
							2212828, -- [3]
							2212829, -- [4]
						},
					}, -- [7]
					{
						["offsetX"] = 542,
						["textureHeight"] = 235,
						["textureWidth"] = 315,
						["offsetY"] = 48,
						["fileDataIDs"] = {
							252880, -- [1]
							252881, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 352,
						["textureHeight"] = 410,
						["textureWidth"] = 320,
						["offsetY"] = 87,
						["fileDataIDs"] = {
							252894, -- [1]
							252895, -- [2]
							252896, -- [3]
							252897, -- [4]
						},
					}, -- [9]
					{
						["offsetX"] = 482,
						["textureHeight"] = 256,
						["textureWidth"] = 345,
						["offsetY"] = 321,
						["fileDataIDs"] = {
							252866, -- [1]
							252867, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 546,
						["textureHeight"] = 295,
						["textureWidth"] = 370,
						["offsetY"] = 199,
						["fileDataIDs"] = {
							252890, -- [1]
							252891, -- [2]
							252892, -- [3]
							252893, -- [4]
						},
					}, -- [11]
				},
				[1436] = {
					{
						["offsetX"] = 488,
						["textureHeight"] = 200,
						["textureWidth"] = 165,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							273143, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 442,
						["textureHeight"] = 240,
						["textureWidth"] = 195,
						["offsetY"] = 241,
						["fileDataIDs"] = {
							273137, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 208,
						["textureHeight"] = 185,
						["textureWidth"] = 200,
						["offsetY"] = 375,
						["fileDataIDs"] = {
							273142, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 524,
						["textureHeight"] = 240,
						["textureWidth"] = 200,
						["offsetY"] = 252,
						["fileDataIDs"] = {
							273125, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 387,
						["textureHeight"] = 215,
						["textureWidth"] = 210,
						["offsetY"] = 11,
						["fileDataIDs"] = {
							273145, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 307,
						["textureHeight"] = 215,
						["textureWidth"] = 215,
						["offsetY"] = 29,
						["fileDataIDs"] = {
							2212528, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 317,
						["textureHeight"] = 200,
						["textureWidth"] = 220,
						["offsetY"] = 331,
						["fileDataIDs"] = {
							273130, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 328,
						["textureHeight"] = 205,
						["textureWidth"] = 225,
						["offsetY"] = 148,
						["fileDataIDs"] = {
							273126, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 459,
						["textureHeight"] = 210,
						["textureWidth"] = 225,
						["offsetY"] = 105,
						["fileDataIDs"] = {
							273146, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 220,
						["textureHeight"] = 256,
						["textureWidth"] = 225,
						["offsetY"] = 102,
						["fileDataIDs"] = {
							273149, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 339,
						["textureHeight"] = 175,
						["textureWidth"] = 256,
						["offsetY"] = 418,
						["fileDataIDs"] = {
							273124, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 205,
						["textureHeight"] = 190,
						["textureWidth"] = 280,
						["offsetY"] = 467,
						["fileDataIDs"] = {
							273141, -- [1]
							2212527, -- [2]
						},
					}, -- [12]
					{
						["offsetX"] = 523,
						["textureHeight"] = 235,
						["textureWidth"] = 288,
						["offsetY"] = 377,
						["fileDataIDs"] = {
							273131, -- [1]
							273134, -- [2]
						},
					}, -- [13]
					{
						["offsetX"] = 204,
						["textureHeight"] = 210,
						["textureWidth"] = 305,
						["offsetY"] = 260,
						["fileDataIDs"] = {
							273129, -- [1]
							273133, -- [2]
						},
					}, -- [14]
				},
				[1440] = {
					{
						["offsetX"] = 131,
						["textureHeight"] = 195,
						["textureWidth"] = 128,
						["offsetY"] = 137,
						["fileDataIDs"] = {
							270380, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 856,
						["textureHeight"] = 200,
						["textureWidth"] = 146,
						["offsetY"] = 151,
						["fileDataIDs"] = {
							270387, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 260,
						["textureHeight"] = 150,
						["textureWidth"] = 155,
						["offsetY"] = 373,
						["fileDataIDs"] = {
							270398, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 189,
						["textureHeight"] = 175,
						["textureWidth"] = 165,
						["offsetY"] = 324,
						["fileDataIDs"] = {
							2212540, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 520,
						["textureHeight"] = 245,
						["textureWidth"] = 180,
						["offsetY"] = 238,
						["fileDataIDs"] = {
							270402, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 796,
						["textureHeight"] = 160,
						["textureWidth"] = 200,
						["offsetY"] = 311,
						["fileDataIDs"] = {
							270390, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 392,
						["textureHeight"] = 205,
						["textureWidth"] = 200,
						["offsetY"] = 218,
						["fileDataIDs"] = {
							2212541, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 272,
						["textureHeight"] = 185,
						["textureWidth"] = 205,
						["offsetY"] = 251,
						["fileDataIDs"] = {
							270386, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 463,
						["textureHeight"] = 185,
						["textureWidth"] = 210,
						["offsetY"] = 141,
						["fileDataIDs"] = {
							270400, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 205,
						["textureHeight"] = 305,
						["textureWidth"] = 215,
						["offsetY"] = 38,
						["fileDataIDs"] = {
							2212542, -- [1]
							2212543, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 104,
						["textureHeight"] = 195,
						["textureWidth"] = 220,
						["offsetY"] = 259,
						["fileDataIDs"] = {
							2212548, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 597,
						["textureHeight"] = 255,
						["textureWidth"] = 225,
						["offsetY"] = 258,
						["fileDataIDs"] = {
							270401, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 547,
						["textureHeight"] = 205,
						["textureWidth"] = 235,
						["offsetY"] = 426,
						["fileDataIDs"] = {
							270375, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 19,
						["textureHeight"] = 245,
						["textureWidth"] = 245,
						["offsetY"] = 28,
						["fileDataIDs"] = {
							270376, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 713,
						["textureHeight"] = 255,
						["textureWidth"] = 245,
						["offsetY"] = 344,
						["fileDataIDs"] = {
							270405, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 203,
						["textureHeight"] = 195,
						["textureWidth"] = 255,
						["offsetY"] = 158,
						["fileDataIDs"] = {
							270389, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 356,
						["textureHeight"] = 240,
						["textureWidth"] = 275,
						["offsetY"] = 347,
						["fileDataIDs"] = {
							2212544, -- [1]
							2212545, -- [2]
						},
					}, -- [17]
					{
						["offsetX"] = 694,
						["textureHeight"] = 185,
						["textureWidth"] = 285,
						["offsetY"] = 225,
						["fileDataIDs"] = {
							270388, -- [1]
							2212547, -- [2]
						},
					}, -- [18]
				},
				[1444] = {
					{
						["offsetX"] = 493,
						["textureHeight"] = 110,
						["textureWidth"] = 110,
						["offsetY"] = 70,
						["fileDataIDs"] = {
							2212732, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 478,
						["textureHeight"] = 170,
						["textureWidth"] = 110,
						["offsetY"] = 386,
						["fileDataIDs"] = {
							2212728, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 486,
						["textureHeight"] = 115,
						["textureWidth"] = 115,
						["offsetY"] = 329,
						["fileDataIDs"] = {
							2212726, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 623,
						["textureHeight"] = 195,
						["textureWidth"] = 120,
						["offsetY"] = 167,
						["fileDataIDs"] = {
							2212729, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 690,
						["textureHeight"] = 165,
						["textureWidth"] = 140,
						["offsetY"] = 141,
						["fileDataIDs"] = {
							271696, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 404,
						["textureHeight"] = 320,
						["textureWidth"] = 145,
						["offsetY"] = 256,
						["fileDataIDs"] = {
							271700, -- [1]
							271682, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 454,
						["textureHeight"] = 125,
						["textureWidth"] = 150,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2212721, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 689,
						["textureHeight"] = 160,
						["textureWidth"] = 155,
						["offsetY"] = 233,
						["fileDataIDs"] = {
							271675, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 208,
						["textureHeight"] = 180,
						["textureWidth"] = 180,
						["offsetY"] = 234,
						["fileDataIDs"] = {
							2212734, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 305,
						["textureHeight"] = 155,
						["textureWidth"] = 190,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2212733, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 540,
						["textureHeight"] = 250,
						["textureWidth"] = 190,
						["offsetY"] = 320,
						["fileDataIDs"] = {
							271699, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 192,
						["textureHeight"] = 293,
						["textureWidth"] = 215,
						["offsetY"] = 375,
						["fileDataIDs"] = {
							2212730, -- [1]
							2212731, -- [2]
						},
					}, -- [12]
					{
						["offsetX"] = 751,
						["textureHeight"] = 180,
						["textureWidth"] = 225,
						["offsetY"] = 198,
						["fileDataIDs"] = {
							271680, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 454,
						["textureHeight"] = 195,
						["textureWidth"] = 230,
						["offsetY"] = 201,
						["fileDataIDs"] = {
							271687, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 618,
						["textureHeight"] = 220,
						["textureWidth"] = 240,
						["offsetY"] = 298,
						["fileDataIDs"] = {
							2212735, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 319,
						["textureHeight"] = 245,
						["textureWidth"] = 285,
						["offsetY"] = 75,
						["fileDataIDs"] = {
							271705, -- [1]
							271686, -- [2]
						},
					}, -- [16]
				},
				[1448] = {
					{
						["offsetX"] = 496,
						["textureHeight"] = 159,
						["textureWidth"] = 145,
						["offsetY"] = 509,
						["fileDataIDs"] = {
							271657, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 548,
						["textureHeight"] = 145,
						["textureWidth"] = 160,
						["offsetY"] = 90,
						["fileDataIDs"] = {
							271653, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 332,
						["textureHeight"] = 155,
						["textureWidth"] = 165,
						["offsetY"] = 465,
						["fileDataIDs"] = {
							271663, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 408,
						["textureHeight"] = 135,
						["textureWidth"] = 175,
						["offsetY"] = 533,
						["fileDataIDs"] = {
							271658, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 405,
						["textureHeight"] = 160,
						["textureWidth"] = 185,
						["offsetY"] = 429,
						["fileDataIDs"] = {
							271659, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 330,
						["textureHeight"] = 170,
						["textureWidth"] = 195,
						["offsetY"] = 29,
						["fileDataIDs"] = {
							271652, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 420,
						["textureHeight"] = 215,
						["textureWidth"] = 215,
						["offsetY"] = 54,
						["fileDataIDs"] = {
							271673, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 292,
						["textureHeight"] = 145,
						["textureWidth"] = 235,
						["offsetY"] = 263,
						["fileDataIDs"] = {
							271666, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 297,
						["textureHeight"] = 155,
						["textureWidth"] = 235,
						["offsetY"] = 381,
						["fileDataIDs"] = {
							271664, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 307,
						["textureHeight"] = 200,
						["textureWidth"] = 235,
						["offsetY"] = 123,
						["fileDataIDs"] = {
							271665, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 483,
						["textureHeight"] = 145,
						["textureWidth"] = 240,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271660, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 271,
						["textureHeight"] = 128,
						["textureWidth"] = 245,
						["offsetY"] = 331,
						["fileDataIDs"] = {
							271669, -- [1]
						},
					}, -- [12]
				},
				[1452] = {
					{
						["offsetX"] = 611,
						["textureHeight"] = 165,
						["textureWidth"] = 125,
						["offsetY"] = 242,
						["fileDataIDs"] = {
							273206, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 617,
						["textureHeight"] = 125,
						["textureWidth"] = 145,
						["offsetY"] = 158,
						["fileDataIDs"] = {
							273200, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 593,
						["textureHeight"] = 140,
						["textureWidth"] = 165,
						["offsetY"] = 340,
						["fileDataIDs"] = {
							273199, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 509,
						["textureHeight"] = 200,
						["textureWidth"] = 165,
						["offsetY"] = 107,
						["fileDataIDs"] = {
							273191, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 555,
						["textureHeight"] = 185,
						["textureWidth"] = 175,
						["offsetY"] = 27,
						["fileDataIDs"] = {
							273203, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 392,
						["textureHeight"] = 160,
						["textureWidth"] = 185,
						["offsetY"] = 137,
						["fileDataIDs"] = {
							273207, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 493,
						["textureHeight"] = 180,
						["textureWidth"] = 185,
						["offsetY"] = 258,
						["fileDataIDs"] = {
							273185, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 523,
						["textureHeight"] = 160,
						["textureWidth"] = 200,
						["offsetY"] = 376,
						["fileDataIDs"] = {
							273198, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 401,
						["textureHeight"] = 185,
						["textureWidth"] = 215,
						["offsetY"] = 198,
						["fileDataIDs"] = {
							273192, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 229,
						["textureHeight"] = 120,
						["textureWidth"] = 230,
						["offsetY"] = 243,
						["fileDataIDs"] = {
							273187, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 222,
						["textureHeight"] = 140,
						["textureWidth"] = 240,
						["offsetY"] = 172,
						["fileDataIDs"] = {
							273202, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 368,
						["textureHeight"] = 180,
						["textureWidth"] = 250,
						["offsetY"] = 7,
						["fileDataIDs"] = {
							273184, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 447,
						["textureHeight"] = 205,
						["textureWidth"] = 255,
						["offsetY"] = 441,
						["fileDataIDs"] = {
							2213650, -- [1]
						},
					}, -- [13]
				},
				[1413] = {
					{
						["offsetX"] = 564,
						["textureHeight"] = 165,
						["textureWidth"] = 100,
						["offsetY"] = 52,
						["fileDataIDs"] = {
							270569, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 507,
						["textureHeight"] = 110,
						["textureWidth"] = 115,
						["offsetY"] = 294,
						["fileDataIDs"] = {
							852702, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 555,
						["textureHeight"] = 110,
						["textureWidth"] = 120,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							270553, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 384,
						["textureHeight"] = 125,
						["textureWidth"] = 120,
						["offsetY"] = 115,
						["fileDataIDs"] = {
							270560, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 492,
						["textureHeight"] = 115,
						["textureWidth"] = 125,
						["offsetY"] = 63,
						["fileDataIDs"] = {
							270584, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 556,
						["textureHeight"] = 125,
						["textureWidth"] = 125,
						["offsetY"] = 189,
						["fileDataIDs"] = {
							270585, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 442,
						["textureHeight"] = 165,
						["textureWidth"] = 125,
						["offsetY"] = 298,
						["fileDataIDs"] = {
							852696, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 412,
						["textureHeight"] = 100,
						["textureWidth"] = 128,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							852705, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 419,
						["textureHeight"] = 105,
						["textureWidth"] = 128,
						["offsetY"] = 63,
						["fileDataIDs"] = {
							270554, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 306,
						["textureHeight"] = 128,
						["textureWidth"] = 128,
						["offsetY"] = 130,
						["fileDataIDs"] = {
							852699, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 341,
						["textureHeight"] = 128,
						["textureWidth"] = 128,
						["offsetY"] = 537,
						["fileDataIDs"] = {
							852704, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 431,
						["textureHeight"] = 128,
						["textureWidth"] = 128,
						["offsetY"] = 479,
						["fileDataIDs"] = {
							852694, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 498,
						["textureHeight"] = 128,
						["textureWidth"] = 140,
						["offsetY"] = 119,
						["fileDataIDs"] = {
							270574, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 365,
						["textureHeight"] = 125,
						["textureWidth"] = 145,
						["offsetY"] = 350,
						["fileDataIDs"] = {
							852697, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 527,
						["textureHeight"] = 120,
						["textureWidth"] = 150,
						["offsetY"] = 307,
						["fileDataIDs"] = {
							852701, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 407,
						["textureHeight"] = 115,
						["textureWidth"] = 155,
						["offsetY"] = 553,
						["fileDataIDs"] = {
							852703, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 335,
						["textureHeight"] = 128,
						["textureWidth"] = 155,
						["offsetY"] = 462,
						["fileDataIDs"] = {
							852695, -- [1]
						},
					}, -- [17]
					{
						["offsetX"] = 481,
						["textureHeight"] = 128,
						["textureWidth"] = 155,
						["offsetY"] = 211,
						["fileDataIDs"] = {
							270565, -- [1]
						},
					}, -- [18]
					{
						["offsetX"] = 431,
						["textureHeight"] = 155,
						["textureWidth"] = 155,
						["offsetY"] = 118,
						["fileDataIDs"] = {
							270559, -- [1]
						},
					}, -- [19]
					{
						["offsetX"] = 456,
						["textureHeight"] = 120,
						["textureWidth"] = 170,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							270564, -- [1]
						},
					}, -- [20]
					{
						["offsetX"] = 365,
						["textureHeight"] = 185,
						["textureWidth"] = 175,
						["offsetY"] = 177,
						["fileDataIDs"] = {
							852700, -- [1]
						},
					}, -- [21]
					{
						["offsetX"] = 317,
						["textureHeight"] = 145,
						["textureWidth"] = 200,
						["offsetY"] = 29,
						["fileDataIDs"] = {
							270572, -- [1]
						},
					}, -- [22]
					{
						["offsetX"] = 340,
						["textureHeight"] = 185,
						["textureWidth"] = 200,
						["offsetY"] = 234,
						["fileDataIDs"] = {
							852693, -- [1]
						},
					}, -- [23]
					{
						["offsetX"] = 355,
						["textureHeight"] = 150,
						["textureWidth"] = 210,
						["offsetY"] = 402,
						["fileDataIDs"] = {
							852698, -- [1]
						},
					}, -- [24]
					{
						["offsetX"] = 581,
						["textureHeight"] = 100,
						["textureWidth"] = 95,
						["offsetY"] = 247,
						["fileDataIDs"] = {
							270573, -- [1]
						},
					}, -- [25]
				},
				[1417] = {
					{
						["offsetX"] = 558,
						["textureHeight"] = 230,
						["textureWidth"] = 160,
						["offsetY"] = 112,
						["fileDataIDs"] = {
							270360, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 419,
						["textureHeight"] = 155,
						["textureWidth"] = 170,
						["offsetY"] = 293,
						["fileDataIDs"] = {
							2212546, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 370,
						["textureHeight"] = 225,
						["textureWidth"] = 175,
						["offsetY"] = 186,
						["fileDataIDs"] = {
							270352, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 472,
						["textureHeight"] = 210,
						["textureWidth"] = 180,
						["offsetY"] = 165,
						["fileDataIDs"] = {
							270350, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 138,
						["textureHeight"] = 210,
						["textureWidth"] = 190,
						["offsetY"] = 54,
						["fileDataIDs"] = {
							270347, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 87,
						["textureHeight"] = 240,
						["textureWidth"] = 190,
						["offsetY"] = 138,
						["fileDataIDs"] = {
							2212539, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 355,
						["textureHeight"] = 220,
						["textureWidth"] = 200,
						["offsetY"] = 412,
						["fileDataIDs"] = {
							270348, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 655,
						["textureHeight"] = 250,
						["textureWidth"] = 205,
						["offsetY"] = 120,
						["fileDataIDs"] = {
							270336, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 286,
						["textureHeight"] = 185,
						["textureWidth"] = 210,
						["offsetY"] = 310,
						["fileDataIDs"] = {
							270346, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 559,
						["textureHeight"] = 210,
						["textureWidth"] = 215,
						["offsetY"] = 333,
						["fileDataIDs"] = {
							270353, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 432,
						["textureHeight"] = 235,
						["textureWidth"] = 215,
						["offsetY"] = 362,
						["fileDataIDs"] = {
							270342, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 531,
						["textureHeight"] = 195,
						["textureWidth"] = 230,
						["offsetY"] = 276,
						["fileDataIDs"] = {
							270343, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 192,
						["textureHeight"] = 240,
						["textureWidth"] = 230,
						["offsetY"] = 90,
						["fileDataIDs"] = {
							270351, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 108,
						["textureHeight"] = 230,
						["textureWidth"] = 240,
						["offsetY"] = 287,
						["fileDataIDs"] = {
							270358, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 232,
						["textureHeight"] = 245,
						["textureWidth"] = 245,
						["offsetY"] = 145,
						["fileDataIDs"] = {
							270349, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 171,
						["textureHeight"] = 215,
						["textureWidth"] = 256,
						["offsetY"] = 424,
						["fileDataIDs"] = {
							270361, -- [1]
						},
					}, -- [16]
				},
				[1421] = {
					{
						["offsetX"] = 391,
						["textureHeight"] = 125,
						["textureWidth"] = 140,
						["offsetY"] = 446,
						["fileDataIDs"] = {
							2213067, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 470,
						["textureHeight"] = 170,
						["textureWidth"] = 160,
						["offsetY"] = 261,
						["fileDataIDs"] = {
							272598, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 382,
						["textureHeight"] = 185,
						["textureWidth"] = 165,
						["offsetY"] = 252,
						["fileDataIDs"] = {
							272616, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 402,
						["textureHeight"] = 165,
						["textureWidth"] = 175,
						["offsetY"] = 65,
						["fileDataIDs"] = {
							2213080, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 323,
						["textureHeight"] = 128,
						["textureWidth"] = 180,
						["offsetY"] = 128,
						["fileDataIDs"] = {
							2213065, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 457,
						["textureHeight"] = 185,
						["textureWidth"] = 180,
						["offsetY"] = 144,
						["fileDataIDs"] = {
							2213082, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 286,
						["textureHeight"] = 165,
						["textureWidth"] = 185,
						["offsetY"] = 37,
						["fileDataIDs"] = {
							272610, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 352,
						["textureHeight"] = 160,
						["textureWidth"] = 210,
						["offsetY"] = 168,
						["fileDataIDs"] = {
							272620, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 379,
						["textureHeight"] = 215,
						["textureWidth"] = 210,
						["offsetY"] = 447,
						["fileDataIDs"] = {
							272609, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 364,
						["textureHeight"] = 160,
						["textureWidth"] = 220,
						["offsetY"] = 359,
						["fileDataIDs"] = {
							272613, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 491,
						["textureHeight"] = 180,
						["textureWidth"] = 240,
						["offsetY"] = 417,
						["fileDataIDs"] = {
							272599, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 494,
						["textureHeight"] = 240,
						["textureWidth"] = 240,
						["offsetY"] = 262,
						["fileDataIDs"] = {
							272614, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 593,
						["textureHeight"] = 215,
						["textureWidth"] = 250,
						["offsetY"] = 74,
						["fileDataIDs"] = {
							272600, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 465,
						["textureHeight"] = 160,
						["textureWidth"] = 256,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2213063, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 459,
						["textureHeight"] = 220,
						["textureWidth"] = 256,
						["offsetY"] = 13,
						["fileDataIDs"] = {
							2213084, -- [1]
						},
					}, -- [15]
				},
				[1425] = {
					{
						["offsetX"] = 158,
						["textureHeight"] = 220,
						["textureWidth"] = 145,
						["offsetY"] = 149,
						["fileDataIDs"] = {
							271927, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 512,
						["textureHeight"] = 145,
						["textureWidth"] = 160,
						["offsetY"] = 232,
						["fileDataIDs"] = {
							271933, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 319,
						["textureHeight"] = 170,
						["textureWidth"] = 170,
						["offsetY"] = 302,
						["fileDataIDs"] = {
							271934, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 693,
						["textureHeight"] = 310,
						["textureWidth"] = 170,
						["offsetY"] = 303,
						["fileDataIDs"] = {
							271938, -- [1]
							271916, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 408,
						["textureHeight"] = 170,
						["textureWidth"] = 180,
						["offsetY"] = 260,
						["fileDataIDs"] = {
							271929, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 237,
						["textureHeight"] = 195,
						["textureWidth"] = 185,
						["offsetY"] = 185,
						["fileDataIDs"] = {
							271928, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 240,
						["textureHeight"] = 185,
						["textureWidth"] = 195,
						["offsetY"] = 387,
						["fileDataIDs"] = {
							271937, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 373,
						["textureHeight"] = 165,
						["textureWidth"] = 200,
						["offsetY"] = 365,
						["fileDataIDs"] = {
							271922, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 374,
						["textureHeight"] = 195,
						["textureWidth"] = 205,
						["offsetY"] = 164,
						["fileDataIDs"] = {
							271910, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 171,
						["textureHeight"] = 200,
						["textureWidth"] = 225,
						["offsetY"] = 306,
						["fileDataIDs"] = {
							770218, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 505,
						["textureHeight"] = 285,
						["textureWidth"] = 235,
						["offsetY"] = 333,
						["fileDataIDs"] = {
							271912, -- [1]
							271920, -- [2]
						},
					}, -- [11]
					{
						["offsetX"] = 13,
						["textureHeight"] = 205,
						["textureWidth"] = 255,
						["offsetY"] = 245,
						["fileDataIDs"] = {
							271917, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 509,
						["textureHeight"] = 275,
						["textureWidth"] = 275,
						["offsetY"] = 19,
						["fileDataIDs"] = {
							271908, -- [1]
							271935, -- [2]
							271936, -- [3]
							271909, -- [4]
						},
					}, -- [13]
					{
						["offsetX"] = 571,
						["textureHeight"] = 205,
						["textureWidth"] = 280,
						["offsetY"] = 239,
						["fileDataIDs"] = {
							271915, -- [1]
							271921, -- [2]
						},
					}, -- [14]
				},
				[1429] = {
					{
						["offsetX"] = 422,
						["textureHeight"] = 220,
						["textureWidth"] = 225,
						["offsetY"] = 332,
						["fileDataIDs"] = {
							271560, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 250,
						["textureHeight"] = 220,
						["textureWidth"] = 240,
						["offsetY"] = 270,
						["fileDataIDs"] = {
							271567, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 551,
						["textureHeight"] = 250,
						["textureWidth"] = 255,
						["offsetY"] = 292,
						["fileDataIDs"] = {
							271573, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 704,
						["textureHeight"] = 210,
						["textureWidth"] = 256,
						["offsetY"] = 330,
						["fileDataIDs"] = {
							271578, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 425,
						["textureHeight"] = 237,
						["textureWidth"] = 256,
						["offsetY"] = 431,
						["fileDataIDs"] = {
							271582, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 238,
						["textureHeight"] = 240,
						["textureWidth"] = 256,
						["offsetY"] = 428,
						["fileDataIDs"] = {
							271576, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 577,
						["textureHeight"] = 249,
						["textureWidth"] = 256,
						["offsetY"] = 419,
						["fileDataIDs"] = {
							271559, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 381,
						["textureHeight"] = 256,
						["textureWidth"] = 256,
						["offsetY"] = 147,
						["fileDataIDs"] = {
							271572, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 124,
						["textureHeight"] = 341,
						["textureWidth"] = 256,
						["offsetY"] = 327,
						["fileDataIDs"] = {
							2212708, -- [1]
							2212709, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 696,
						["textureHeight"] = 233,
						["textureWidth"] = 306,
						["offsetY"] = 435,
						["fileDataIDs"] = {
							271557, -- [1]
							271583, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 587,
						["textureHeight"] = 256,
						["textureWidth"] = 310,
						["offsetY"] = 190,
						["fileDataIDs"] = {
							271584, -- [1]
							271565, -- [2]
						},
					}, -- [11]
					{
						["offsetX"] = 0,
						["textureHeight"] = 405,
						["textureWidth"] = 485,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2212713, -- [1]
							2212714, -- [2]
							2212715, -- [3]
							2212716, -- [4]
						},
					}, -- [12]
				},
				[1433] = {
					{
						["offsetX"] = 399,
						["textureHeight"] = 270,
						["textureWidth"] = 235,
						["offsetY"] = 129,
						["fileDataIDs"] = {
							272334, -- [1]
							2212936, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 654,
						["textureHeight"] = 250,
						["textureWidth"] = 250,
						["offsetY"] = 161,
						["fileDataIDs"] = {
							272372, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 500,
						["textureHeight"] = 300,
						["textureWidth"] = 255,
						["offsetY"] = 215,
						["fileDataIDs"] = {
							2212977, -- [1]
							2212978, -- [2]
						},
					}, -- [3]
					{
						["offsetX"] = 277,
						["textureHeight"] = 256,
						["textureWidth"] = 275,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272357, -- [1]
							272342, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 595,
						["textureHeight"] = 210,
						["textureWidth"] = 320,
						["offsetY"] = 320,
						["fileDataIDs"] = {
							272347, -- [1]
							272371, -- [2]
						},
					}, -- [5]
					{
						["offsetX"] = 83,
						["textureHeight"] = 195,
						["textureWidth"] = 340,
						["offsetY"] = 197,
						["fileDataIDs"] = {
							272351, -- [1]
							272340, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 121,
						["textureHeight"] = 245,
						["textureWidth"] = 365,
						["offsetY"] = 72,
						["fileDataIDs"] = {
							272362, -- [1]
							272356, -- [2]
						},
					}, -- [7]
					{
						["offsetX"] = 0,
						["textureHeight"] = 350,
						["textureWidth"] = 365,
						["offsetY"] = 284,
						["fileDataIDs"] = {
							272364, -- [1]
							272348, -- [2]
							272358, -- [3]
							272359, -- [4]
						},
					}, -- [8]
					{
						["offsetX"] = 187,
						["textureHeight"] = 290,
						["textureWidth"] = 430,
						["offsetY"] = 333,
						["fileDataIDs"] = {
							272344, -- [1]
							272354, -- [2]
							272350, -- [3]
							272339, -- [4]
						},
					}, -- [9]
					{
						["offsetX"] = 484,
						["textureHeight"] = 255,
						["textureWidth"] = 465,
						["offsetY"] = 361,
						["fileDataIDs"] = {
							272369, -- [1]
							272363, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 133,
						["textureHeight"] = 275,
						["textureWidth"] = 535,
						["offsetY"] = 240,
						["fileDataIDs"] = {
							272335, -- [1]
							272343, -- [2]
							2212940, -- [3]
							2212942, -- [4]
							2212943, -- [5]
							2212945, -- [6]
						},
					}, -- [11]
				},
				[1437] = {
					{
						["offsetX"] = 13,
						["textureHeight"] = 128,
						["textureWidth"] = 175,
						["offsetY"] = 314,
						["fileDataIDs"] = {
							273156, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 456,
						["textureHeight"] = 240,
						["textureWidth"] = 185,
						["offsetY"] = 125,
						["fileDataIDs"] = {
							2212531, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 628,
						["textureHeight"] = 160,
						["textureWidth"] = 190,
						["offsetY"] = 176,
						["fileDataIDs"] = {
							273181, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 247,
						["textureHeight"] = 185,
						["textureWidth"] = 195,
						["offsetY"] = 205,
						["fileDataIDs"] = {
							273155, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 349,
						["textureHeight"] = 185,
						["textureWidth"] = 200,
						["offsetY"] = 115,
						["fileDataIDs"] = {
							273173, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 237,
						["textureHeight"] = 240,
						["textureWidth"] = 200,
						["offsetY"] = 41,
						["fileDataIDs"] = {
							2212533, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 401,
						["textureHeight"] = 180,
						["textureWidth"] = 205,
						["offsetY"] = 21,
						["fileDataIDs"] = {
							273164, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 527,
						["textureHeight"] = 245,
						["textureWidth"] = 205,
						["offsetY"] = 264,
						["fileDataIDs"] = {
							273177, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 347,
						["textureHeight"] = 185,
						["textureWidth"] = 225,
						["offsetY"] = 218,
						["fileDataIDs"] = {
							273159, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 89,
						["textureHeight"] = 190,
						["textureWidth"] = 225,
						["offsetY"] = 142,
						["fileDataIDs"] = {
							273171, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 470,
						["textureHeight"] = 190,
						["textureWidth"] = 230,
						["offsetY"] = 371,
						["fileDataIDs"] = {
							273174, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 77,
						["textureHeight"] = 175,
						["textureWidth"] = 240,
						["offsetY"] = 245,
						["fileDataIDs"] = {
							273163, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 507,
						["textureHeight"] = 250,
						["textureWidth"] = 256,
						["offsetY"] = 115,
						["fileDataIDs"] = {
							2212535, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 92,
						["textureHeight"] = 240,
						["textureWidth"] = 300,
						["offsetY"] = 82,
						["fileDataIDs"] = {
							273178, -- [1]
							273167, -- [2]
						},
					}, -- [14]
					{
						["offsetX"] = 611,
						["textureHeight"] = 360,
						["textureWidth"] = 350,
						["offsetY"] = 230,
						["fileDataIDs"] = {
							2213613, -- [1]
							2213614, -- [2]
							2212532, -- [3]
							2212534, -- [4]
						},
					}, -- [15]
				},
				[1441] = {
					{
						["offsetX"] = 31,
						["textureHeight"] = 190,
						["textureWidth"] = 190,
						["offsetY"] = 155,
						["fileDataIDs"] = {
							272968, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 259,
						["textureHeight"] = 195,
						["textureWidth"] = 205,
						["offsetY"] = 131,
						["fileDataIDs"] = {
							272962, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 205,
						["textureHeight"] = 180,
						["textureWidth"] = 210,
						["offsetY"] = 70,
						["fileDataIDs"] = {
							272963, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 357,
						["textureHeight"] = 190,
						["textureWidth"] = 210,
						["offsetY"] = 264,
						["fileDataIDs"] = {
							272954, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 391,
						["textureHeight"] = 195,
						["textureWidth"] = 210,
						["offsetY"] = 192,
						["fileDataIDs"] = {
							2213363, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 492,
						["textureHeight"] = 220,
						["textureWidth"] = 240,
						["offsetY"] = 250,
						["fileDataIDs"] = {
							2213395, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 179,
						["textureHeight"] = 240,
						["textureWidth"] = 250,
						["offsetY"] = 200,
						["fileDataIDs"] = {
							2213369, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 0,
						["textureHeight"] = 310,
						["textureWidth"] = 305,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2213348, -- [1]
							2213349, -- [2]
							2213351, -- [3]
							2213352, -- [4]
						},
					}, -- [8]
					{
						["offsetX"] = 610,
						["textureHeight"] = 365,
						["textureWidth"] = 320,
						["offsetY"] = 300,
						["fileDataIDs"] = {
							2213371, -- [1]
							2213372, -- [2]
							2213374, -- [3]
							2213375, -- [4]
						},
					}, -- [9]
				},
				[1445] = {
					{
						["offsetX"] = 660,
						["textureHeight"] = 195,
						["textureWidth"] = 200,
						["offsetY"] = 21,
						["fileDataIDs"] = {
							271494, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 534,
						["textureHeight"] = 205,
						["textureWidth"] = 230,
						["offsetY"] = 224,
						["fileDataIDs"] = {
							271500, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 422,
						["textureHeight"] = 315,
						["textureWidth"] = 250,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271507, -- [1]
							271504, -- [2]
						},
					}, -- [3]
					{
						["offsetX"] = 257,
						["textureHeight"] = 250,
						["textureWidth"] = 255,
						["offsetY"] = 313,
						["fileDataIDs"] = {
							2212689, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 230,
						["textureHeight"] = 270,
						["textureWidth"] = 280,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2212685, -- [1]
							2212686, -- [2]
							2212687, -- [3]
							2212688, -- [4]
						},
					}, -- [5]
					{
						["offsetX"] = 367,
						["textureHeight"] = 240,
						["textureWidth"] = 285,
						["offsetY"] = 381,
						["fileDataIDs"] = {
							271503, -- [1]
							271509, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 239,
						["textureHeight"] = 255,
						["textureWidth"] = 400,
						["offsetY"] = 189,
						["fileDataIDs"] = {
							2212683, -- [1]
							2212684, -- [2]
						},
					}, -- [7]
				},
				[1449] = {
					{
						["offsetX"] = 582,
						["textureHeight"] = 285,
						["textureWidth"] = 285,
						["offsetY"] = 67,
						["fileDataIDs"] = {
							273051, -- [1]
							2213483, -- [2]
							2213484, -- [3]
							2213486, -- [4]
						},
					}, -- [1]
					{
						["offsetX"] = 367,
						["textureHeight"] = 270,
						["textureWidth"] = 295,
						["offsetY"] = 178,
						["fileDataIDs"] = {
							273042, -- [1]
							273065, -- [2]
							273050, -- [3]
							273036, -- [4]
						},
					}, -- [2]
					{
						["offsetX"] = 560,
						["textureHeight"] = 355,
						["textureWidth"] = 310,
						["offsetY"] = 240,
						["fileDataIDs"] = {
							273072, -- [1]
							273039, -- [2]
							273037, -- [3]
							273063, -- [4]
						},
					}, -- [3]
					{
						["offsetX"] = 121,
						["textureHeight"] = 345,
						["textureWidth"] = 315,
						["offsetY"] = 151,
						["fileDataIDs"] = {
							273043, -- [1]
							273075, -- [2]
							273069, -- [3]
							273061, -- [4]
						},
					}, -- [4]
					{
						["offsetX"] = 158,
						["textureHeight"] = 285,
						["textureWidth"] = 345,
						["offsetY"] = 368,
						["fileDataIDs"] = {
							273046, -- [1]
							273053, -- [2]
							273071, -- [3]
							273047, -- [4]
						},
					}, -- [5]
					{
						["offsetX"] = 367,
						["textureHeight"] = 285,
						["textureWidth"] = 345,
						["offsetY"] = 380,
						["fileDataIDs"] = {
							273059, -- [1]
							273066, -- [2]
							273073, -- [3]
							273054, -- [4]
						},
					}, -- [6]
					{
						["offsetX"] = 160,
						["textureHeight"] = 265,
						["textureWidth"] = 570,
						["offsetY"] = 6,
						["fileDataIDs"] = {
							273052, -- [1]
							273062, -- [2]
							273057, -- [3]
							273058, -- [4]
							2213490, -- [5]
							2213491, -- [6]
						},
					}, -- [7]
				},
				[1418] = {
					{
						["offsetX"] = 325,
						["textureHeight"] = 200,
						["textureWidth"] = 195,
						["offsetY"] = 148,
						["fileDataIDs"] = {
							270543, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 445,
						["textureHeight"] = 195,
						["textureWidth"] = 200,
						["offsetY"] = 120,
						["fileDataIDs"] = {
							270532, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 551,
						["textureHeight"] = 220,
						["textureWidth"] = 220,
						["offsetY"] = 48,
						["fileDataIDs"] = {
							270530, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 349,
						["textureHeight"] = 230,
						["textureWidth"] = 230,
						["offsetY"] = 256,
						["fileDataIDs"] = {
							2212608, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 0,
						["textureHeight"] = 255,
						["textureWidth"] = 240,
						["offsetY"] = 148,
						["fileDataIDs"] = {
							2212593, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 389,
						["textureHeight"] = 205,
						["textureWidth"] = 245,
						["offsetY"] = 7,
						["fileDataIDs"] = {
							2212606, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 498,
						["textureHeight"] = 205,
						["textureWidth"] = 245,
						["offsetY"] = 209,
						["fileDataIDs"] = {
							2212592, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 17,
						["textureHeight"] = 205,
						["textureWidth"] = 255,
						["offsetY"] = 310,
						["fileDataIDs"] = {
							270529, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 12,
						["textureHeight"] = 220,
						["textureWidth"] = 255,
						["offsetY"] = 428,
						["fileDataIDs"] = {
							270520, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 501,
						["textureHeight"] = 280,
						["textureWidth"] = 255,
						["offsetY"] = 341,
						["fileDataIDs"] = {
							270540, -- [1]
							270527, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 345,
						["textureHeight"] = 270,
						["textureWidth"] = 265,
						["offsetY"] = 389,
						["fileDataIDs"] = {
							270522, -- [1]
							270550, -- [2]
							270528, -- [3]
							270536, -- [4]
						},
					}, -- [11]
					{
						["offsetX"] = 159,
						["textureHeight"] = 275,
						["textureWidth"] = 270,
						["offsetY"] = 199,
						["fileDataIDs"] = {
							270525, -- [1]
							270521, -- [2]
							2212603, -- [3]
							2212605, -- [4]
						},
					}, -- [12]
					{
						["offsetX"] = 148,
						["textureHeight"] = 240,
						["textureWidth"] = 285,
						["offsetY"] = 384,
						["fileDataIDs"] = {
							2212599, -- [1]
							2212601, -- [2]
						},
					}, -- [13]
					{
						["offsetX"] = 611,
						["textureHeight"] = 455,
						["textureWidth"] = 370,
						["offsetY"] = 110,
						["fileDataIDs"] = {
							270534, -- [1]
							270551, -- [2]
							270546, -- [3]
							270535, -- [4]
						},
					}, -- [14]
				},
				[1422] = {
					{
						["offsetX"] = 300,
						["textureHeight"] = 125,
						["textureWidth"] = 160,
						["offsetY"] = 311,
						["fileDataIDs"] = {
							273113, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 566,
						["textureHeight"] = 200,
						["textureWidth"] = 160,
						["offsetY"] = 198,
						["fileDataIDs"] = {
							273121, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 600,
						["textureHeight"] = 165,
						["textureWidth"] = 170,
						["offsetY"] = 412,
						["fileDataIDs"] = {
							273107, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 451,
						["textureHeight"] = 190,
						["textureWidth"] = 170,
						["offsetY"] = 323,
						["fileDataIDs"] = {
							273102, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 520,
						["textureHeight"] = 205,
						["textureWidth"] = 180,
						["offsetY"] = 250,
						["fileDataIDs"] = {
							273094, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 590,
						["textureHeight"] = 340,
						["textureWidth"] = 205,
						["offsetY"] = 86,
						["fileDataIDs"] = {
							273122, -- [1]
							273103, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 381,
						["textureHeight"] = 150,
						["textureWidth"] = 220,
						["offsetY"] = 265,
						["fileDataIDs"] = {
							2212523, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 382,
						["textureHeight"] = 180,
						["textureWidth"] = 220,
						["offsetY"] = 164,
						["fileDataIDs"] = {
							273114, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 137,
						["textureHeight"] = 185,
						["textureWidth"] = 225,
						["offsetY"] = 293,
						["fileDataIDs"] = {
							273120, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 260,
						["textureHeight"] = 230,
						["textureWidth"] = 285,
						["offsetY"] = 355,
						["fileDataIDs"] = {
							2212522, -- [1]
							2212521, -- [2]
						},
					}, -- [10]
					{
						["offsetX"] = 355,
						["textureHeight"] = 206,
						["textureWidth"] = 300,
						["offsetY"] = 462,
						["fileDataIDs"] = {
							273108, -- [1]
							273101, -- [2]
						},
					}, -- [11]
					{
						["offsetX"] = 307,
						["textureHeight"] = 288,
						["textureWidth"] = 340,
						["offsetY"] = 16,
						["fileDataIDs"] = {
							273095, -- [1]
							273111, -- [2]
							273100, -- [3]
							273090, -- [4]
						},
					}, -- [12]
					{
						["offsetX"] = 504,
						["textureHeight"] = 270,
						["textureWidth"] = 370,
						["offsetY"] = 343,
						["fileDataIDs"] = {
							273119, -- [1]
							273092, -- [2]
							273112, -- [3]
							273093, -- [4]
						},
					}, -- [13]
				},
				[1426] = {
					{
						["offsetX"] = 252,
						["textureHeight"] = 115,
						["textureWidth"] = 115,
						["offsetY"] = 249,
						["fileDataIDs"] = {
							2212640, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 217,
						["textureHeight"] = 125,
						["textureWidth"] = 125,
						["offsetY"] = 287,
						["fileDataIDs"] = {
							271398, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 792,
						["textureHeight"] = 120,
						["textureWidth"] = 128,
						["offsetY"] = 279,
						["fileDataIDs"] = {
							2212654, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 573,
						["textureHeight"] = 128,
						["textureWidth"] = 128,
						["offsetY"] = 280,
						["fileDataIDs"] = {
							271389, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 502,
						["textureHeight"] = 165,
						["textureWidth"] = 128,
						["offsetY"] = 221,
						["fileDataIDs"] = {
							2212651, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 759,
						["textureHeight"] = 165,
						["textureWidth"] = 128,
						["offsetY"] = 173,
						["fileDataIDs"] = {
							2212653, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 281,
						["textureHeight"] = 180,
						["textureWidth"] = 128,
						["offsetY"] = 167,
						["fileDataIDs"] = {
							271392, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 347,
						["textureHeight"] = 190,
						["textureWidth"] = 128,
						["offsetY"] = 163,
						["fileDataIDs"] = {
							271418, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 295,
						["textureHeight"] = 128,
						["textureWidth"] = 150,
						["offsetY"] = 385,
						["fileDataIDs"] = {
							271406, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 522,
						["textureHeight"] = 128,
						["textureWidth"] = 155,
						["offsetY"] = 322,
						["fileDataIDs"] = {
							271401, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 694,
						["textureHeight"] = 170,
						["textureWidth"] = 155,
						["offsetY"] = 273,
						["fileDataIDs"] = {
							271409, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 608,
						["textureHeight"] = 165,
						["textureWidth"] = 165,
						["offsetY"] = 291,
						["fileDataIDs"] = {
							271408, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 274,
						["textureHeight"] = 128,
						["textureWidth"] = 180,
						["offsetY"] = 296,
						["fileDataIDs"] = {
							2212641, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 166,
						["textureHeight"] = 165,
						["textureWidth"] = 180,
						["offsetY"] = 184,
						["fileDataIDs"] = {
							2212644, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 314,
						["textureHeight"] = 185,
						["textureWidth"] = 200,
						["offsetY"] = 311,
						["fileDataIDs"] = {
							271400, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 386,
						["textureHeight"] = 200,
						["textureWidth"] = 200,
						["offsetY"] = 294,
						["fileDataIDs"] = {
							271417, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 155,
						["textureHeight"] = 185,
						["textureWidth"] = 240,
						["offsetY"] = 403,
						["fileDataIDs"] = {
							2212639, -- [1]
						},
					}, -- [17]
					{
						["offsetX"] = 397,
						["textureHeight"] = 200,
						["textureWidth"] = 315,
						["offsetY"] = 163,
						["fileDataIDs"] = {
							271410, -- [1]
							271396, -- [2]
						},
					}, -- [18]
				},
				[1430] = {
					{
						["offsetX"] = 426,
						["textureHeight"] = 270,
						["textureWidth"] = 270,
						["offsetY"] = 299,
						["fileDataIDs"] = {
							271092, -- [1]
							271085, -- [2]
							271086, -- [3]
							271089, -- [4]
						},
					}, -- [1]
					{
						["offsetX"] = 269,
						["textureHeight"] = 245,
						["textureWidth"] = 300,
						["offsetY"] = 337,
						["fileDataIDs"] = {
							271095, -- [1]
							271079, -- [2]
						},
					}, -- [2]
					{
						["offsetX"] = 249,
						["textureHeight"] = 365,
						["textureWidth"] = 380,
						["offsetY"] = 76,
						["fileDataIDs"] = {
							271075, -- [1]
							271076, -- [2]
							271080, -- [3]
							271081, -- [4]
						},
					}, -- [3]
				},
				[1434] = {
					{
						["offsetX"] = 311,
						["textureHeight"] = 110,
						["textureWidth"] = 105,
						["offsetY"] = 131,
						["fileDataIDs"] = {
							2213161, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 387,
						["textureHeight"] = 125,
						["textureWidth"] = 105,
						["offsetY"] = 64,
						["fileDataIDs"] = {
							2213191, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 260,
						["textureHeight"] = 105,
						["textureWidth"] = 110,
						["offsetY"] = 132,
						["fileDataIDs"] = {
							2213150, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 306,
						["textureHeight"] = 110,
						["textureWidth"] = 110,
						["offsetY"] = 301,
						["fileDataIDs"] = {
							2213171, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 371,
						["textureHeight"] = 140,
						["textureWidth"] = 110,
						["offsetY"] = 129,
						["fileDataIDs"] = {
							2213145, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 156,
						["textureHeight"] = 115,
						["textureWidth"] = 115,
						["offsetY"] = 42,
						["fileDataIDs"] = {
							2213197, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 345,
						["textureHeight"] = 120,
						["textureWidth"] = 120,
						["offsetY"] = 276,
						["fileDataIDs"] = {
							2213148, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 314,
						["textureHeight"] = 120,
						["textureWidth"] = 125,
						["offsetY"] = 493,
						["fileDataIDs"] = {
							2213152, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 280,
						["textureHeight"] = 125,
						["textureWidth"] = 125,
						["offsetY"] = 368,
						["fileDataIDs"] = {
							2213159, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 196,
						["textureHeight"] = 140,
						["textureWidth"] = 125,
						["offsetY"] = 3,
						["fileDataIDs"] = {
							2213173, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 331,
						["textureHeight"] = 125,
						["textureWidth"] = 128,
						["offsetY"] = 59,
						["fileDataIDs"] = {
							2213158, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 364,
						["textureHeight"] = 125,
						["textureWidth"] = 128,
						["offsetY"] = 231,
						["fileDataIDs"] = {
							2213194, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 432,
						["textureHeight"] = 175,
						["textureWidth"] = 128,
						["offsetY"] = 94,
						["fileDataIDs"] = {
							2213162, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 269,
						["textureHeight"] = 110,
						["textureWidth"] = 140,
						["offsetY"] = 26,
						["fileDataIDs"] = {
							2213165, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 203,
						["textureHeight"] = 128,
						["textureWidth"] = 145,
						["offsetY"] = 433,
						["fileDataIDs"] = {
							2213147, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 388,
						["textureHeight"] = 150,
						["textureWidth"] = 155,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2213156, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 194,
						["textureHeight"] = 175,
						["textureWidth"] = 165,
						["offsetY"] = 284,
						["fileDataIDs"] = {
							2213146, -- [1]
						},
					}, -- [17]
					{
						["offsetX"] = 229,
						["textureHeight"] = 190,
						["textureWidth"] = 165,
						["offsetY"] = 422,
						["fileDataIDs"] = {
							2213192, -- [1]
						},
					}, -- [18]
					{
						["offsetX"] = 394,
						["textureHeight"] = 125,
						["textureWidth"] = 170,
						["offsetY"] = 212,
						["fileDataIDs"] = {
							2213174, -- [1]
						},
					}, -- [19]
					{
						["offsetX"] = 284,
						["textureHeight"] = 90,
						["textureWidth"] = 170,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2213168, -- [1]
						},
					}, -- [20]
					{
						["offsetX"] = 152,
						["textureHeight"] = 175,
						["textureWidth"] = 190,
						["offsetY"] = 90,
						["fileDataIDs"] = {
							2213188, -- [1]
						},
					}, -- [21]
					{
						["offsetX"] = 235,
						["textureHeight"] = 185,
						["textureWidth"] = 200,
						["offsetY"] = 189,
						["fileDataIDs"] = {
							2213187, -- [1]
						},
					}, -- [22]
					{
						["offsetX"] = 483,
						["textureHeight"] = 220,
						["textureWidth"] = 245,
						["offsetY"] = 8,
						["fileDataIDs"] = {
							2213196, -- [1]
						},
					}, -- [23]
					{
						["offsetX"] = 211,
						["textureHeight"] = 115,
						["textureWidth"] = 90,
						["offsetY"] = 359,
						["fileDataIDs"] = {
							2213164, -- [1]
						},
					}, -- [24]
					{
						["offsetX"] = 241,
						["textureHeight"] = 80,
						["textureWidth"] = 90,
						["offsetY"] = 92,
						["fileDataIDs"] = {
							2213143, -- [1]
						},
					}, -- [25]
					{
						["offsetX"] = 299,
						["textureHeight"] = 95,
						["textureWidth"] = 95,
						["offsetY"] = 88,
						["fileDataIDs"] = {
							2213154, -- [1]
						},
					}, -- [26]
					{
						["offsetX"] = 350,
						["textureHeight"] = 95,
						["textureWidth"] = 95,
						["offsetY"] = 335,
						["fileDataIDs"] = {
							2213170, -- [1]
						},
					}, -- [27]
				},
				[1438] = {
					{
						["offsetX"] = 494,
						["textureHeight"] = 100,
						["textureWidth"] = 128,
						["offsetY"] = 548,
						["fileDataIDs"] = {
							2213328, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 335,
						["textureHeight"] = 190,
						["textureWidth"] = 128,
						["offsetY"] = 313,
						["fileDataIDs"] = {
							272807, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 382,
						["textureHeight"] = 210,
						["textureWidth"] = 160,
						["offsetY"] = 281,
						["fileDataIDs"] = {
							272826, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 272,
						["textureHeight"] = 240,
						["textureWidth"] = 170,
						["offsetY"] = 127,
						["fileDataIDs"] = {
							272830, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 377,
						["textureHeight"] = 256,
						["textureWidth"] = 180,
						["offsetY"] = 93,
						["fileDataIDs"] = {
							272822, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 368,
						["textureHeight"] = 128,
						["textureWidth"] = 185,
						["offsetY"] = 443,
						["fileDataIDs"] = {
							272814, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 462,
						["textureHeight"] = 128,
						["textureWidth"] = 190,
						["offsetY"] = 323,
						["fileDataIDs"] = {
							2213323, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 561,
						["textureHeight"] = 200,
						["textureWidth"] = 200,
						["offsetY"] = 292,
						["fileDataIDs"] = {
							272815, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 491,
						["textureHeight"] = 225,
						["textureWidth"] = 225,
						["offsetY"] = 153,
						["fileDataIDs"] = {
							272811, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 436,
						["textureHeight"] = 185,
						["textureWidth"] = 256,
						["offsetY"] = 380,
						["fileDataIDs"] = {
							272810, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 101,
						["textureHeight"] = 256,
						["textureWidth"] = 315,
						["offsetY"] = 247,
						["fileDataIDs"] = {
							272806, -- [1]
							272812, -- [2]
						},
					}, -- [11]
				},
				[1442] = {
					{
						["offsetX"] = 475,
						["textureHeight"] = 125,
						["textureWidth"] = 125,
						["offsetY"] = 433,
						["fileDataIDs"] = {
							2213093, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 663,
						["textureHeight"] = 86,
						["textureWidth"] = 125,
						["offsetY"] = 582,
						["fileDataIDs"] = {
							272650, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 572,
						["textureHeight"] = 107,
						["textureWidth"] = 145,
						["offsetY"] = 561,
						["fileDataIDs"] = {
							272628, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 389,
						["textureHeight"] = 150,
						["textureWidth"] = 150,
						["offsetY"] = 320,
						["fileDataIDs"] = {
							272646, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 718,
						["textureHeight"] = 97,
						["textureWidth"] = 190,
						["offsetY"] = 571,
						["fileDataIDs"] = {
							2213087, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 390,
						["textureHeight"] = 215,
						["textureWidth"] = 200,
						["offsetY"] = 145,
						["fileDataIDs"] = {
							272624, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 668,
						["textureHeight"] = 120,
						["textureWidth"] = 225,
						["offsetY"] = 515,
						["fileDataIDs"] = {
							2213088, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 210,
						["textureHeight"] = 355,
						["textureWidth"] = 230,
						["offsetY"] = 234,
						["fileDataIDs"] = {
							272633, -- [1]
							272647, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 247,
						["textureHeight"] = 205,
						["textureWidth"] = 270,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272632, -- [1]
							272641, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 457,
						["textureHeight"] = 355,
						["textureWidth"] = 288,
						["offsetY"] = 282,
						["fileDataIDs"] = {
							272648, -- [1]
							272634, -- [2]
							272635, -- [3]
							272623, -- [4]
						},
					}, -- [10]
					{
						["offsetX"] = 553,
						["textureHeight"] = 275,
						["textureWidth"] = 320,
						["offsetY"] = 197,
						["fileDataIDs"] = {
							272630, -- [1]
							272649, -- [2]
							272642, -- [3]
							272636, -- [4]
						},
					}, -- [11]
				},
				[1446] = {
					{
						["offsetX"] = 611,
						["textureHeight"] = 140,
						["textureWidth"] = 110,
						["offsetY"] = 147,
						["fileDataIDs"] = {
							2213315, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 473,
						["textureHeight"] = 180,
						["textureWidth"] = 110,
						["offsetY"] = 234,
						["fileDataIDs"] = {
							272800, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 533,
						["textureHeight"] = 135,
						["textureWidth"] = 120,
						["offsetY"] = 104,
						["fileDataIDs"] = {
							2213275, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 291,
						["textureHeight"] = 160,
						["textureWidth"] = 150,
						["offsetY"] = 434,
						["fileDataIDs"] = {
							2213311, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 561,
						["textureHeight"] = 150,
						["textureWidth"] = 155,
						["offsetY"] = 256,
						["fileDataIDs"] = {
							272789, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 592,
						["textureHeight"] = 150,
						["textureWidth"] = 155,
						["offsetY"] = 75,
						["fileDataIDs"] = {
							2213281, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 395,
						["textureHeight"] = 150,
						["textureWidth"] = 160,
						["offsetY"] = 346,
						["fileDataIDs"] = {
							272798, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 629,
						["textureHeight"] = 190,
						["textureWidth"] = 160,
						["offsetY"] = 220,
						["fileDataIDs"] = {
							2213273, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 509,
						["textureHeight"] = 180,
						["textureWidth"] = 165,
						["offsetY"] = 168,
						["fileDataIDs"] = {
							2213313, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 421,
						["textureHeight"] = 165,
						["textureWidth"] = 175,
						["offsetY"] = 91,
						["fileDataIDs"] = {
							272774, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 252,
						["textureHeight"] = 200,
						["textureWidth"] = 180,
						["offsetY"] = 199,
						["fileDataIDs"] = {
							272792, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 203,
						["textureHeight"] = 250,
						["textureWidth"] = 185,
						["offsetY"] = 286,
						["fileDataIDs"] = {
							272781, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 299,
						["textureHeight"] = 175,
						["textureWidth"] = 195,
						["offsetY"] = 100,
						["fileDataIDs"] = {
							272776, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 323,
						["textureHeight"] = 210,
						["textureWidth"] = 195,
						["offsetY"] = 359,
						["fileDataIDs"] = {
							272784, -- [1]
						},
					}, -- [14]
					{
						["offsetX"] = 325,
						["textureHeight"] = 145,
						["textureWidth"] = 205,
						["offsetY"] = 289,
						["fileDataIDs"] = {
							272782, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 445,
						["textureHeight"] = 157,
						["textureWidth"] = 205,
						["offsetY"] = 511,
						["fileDataIDs"] = {
							272801, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 254,
						["textureHeight"] = 175,
						["textureWidth"] = 210,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272788, -- [1]
						},
					}, -- [17]
					{
						["offsetX"] = 499,
						["textureHeight"] = 175,
						["textureWidth"] = 215,
						["offsetY"] = 293,
						["fileDataIDs"] = {
							272795, -- [1]
						},
					}, -- [18]
					{
						["offsetX"] = 363,
						["textureHeight"] = 180,
						["textureWidth"] = 215,
						["offsetY"] = 194,
						["fileDataIDs"] = {
							272799, -- [1]
						},
					}, -- [19]
					{
						["offsetX"] = 449,
						["textureHeight"] = 210,
						["textureWidth"] = 220,
						["offsetY"] = 372,
						["fileDataIDs"] = {
							272805, -- [1]
						},
					}, -- [20]
				},
				[1450] = {
					{
						["offsetX"] = 244,
						["textureHeight"] = 510,
						["textureWidth"] = 555,
						["offsetY"] = 89,
						["fileDataIDs"] = {
							252844, -- [1]
							252845, -- [2]
							252846, -- [3]
							252847, -- [4]
							2212870, -- [5]
							2212872, -- [6]
						},
					}, -- [1]
				},
				[1411] = {
					{
						["offsetX"] = 464,
						["textureHeight"] = 110,
						["textureWidth"] = 128,
						["offsetY"] = 33,
						["fileDataIDs"] = {
							271427, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 413,
						["textureHeight"] = 120,
						["textureWidth"] = 160,
						["offsetY"] = 476,
						["fileDataIDs"] = {
							2212659, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 474,
						["textureHeight"] = 190,
						["textureWidth"] = 160,
						["offsetY"] = 384,
						["fileDataIDs"] = {
							271426, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 462,
						["textureHeight"] = 180,
						["textureWidth"] = 190,
						["offsetY"] = 286,
						["fileDataIDs"] = {
							271440, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 327,
						["textureHeight"] = 200,
						["textureWidth"] = 190,
						["offsetY"] = 60,
						["fileDataIDs"] = {
							271439, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 549,
						["textureHeight"] = 240,
						["textureWidth"] = 200,
						["offsetY"] = 427,
						["fileDataIDs"] = {
							271437, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 427,
						["textureHeight"] = 160,
						["textureWidth"] = 210,
						["offsetY"] = 78,
						["fileDataIDs"] = {
							271428, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 355,
						["textureHeight"] = 215,
						["textureWidth"] = 215,
						["offsetY"] = 320,
						["fileDataIDs"] = {
							271443, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 432,
						["textureHeight"] = 230,
						["textureWidth"] = 220,
						["offsetY"] = 170,
						["fileDataIDs"] = {
							271421, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 301,
						["textureHeight"] = 230,
						["textureWidth"] = 230,
						["offsetY"] = 189,
						["fileDataIDs"] = {
							271422, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 244,
						["textureHeight"] = 160,
						["textureWidth"] = 445,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271435, -- [1]
							271442, -- [2]
						},
					}, -- [11]
				},
				[1419] = {
					{
						["offsetX"] = 405,
						["textureHeight"] = 145,
						["textureWidth"] = 170,
						["offsetY"] = 123,
						["fileDataIDs"] = {
							391431, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 472,
						["textureHeight"] = 200,
						["textureWidth"] = 170,
						["offsetY"] = 9,
						["fileDataIDs"] = {
							391433, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 310,
						["textureHeight"] = 155,
						["textureWidth"] = 185,
						["offsetY"] = 133,
						["fileDataIDs"] = {
							391425, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 559,
						["textureHeight"] = 190,
						["textureWidth"] = 185,
						["offsetY"] = 30,
						["fileDataIDs"] = {
							391432, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 361,
						["textureHeight"] = 180,
						["textureWidth"] = 195,
						["offsetY"] = 15,
						["fileDataIDs"] = {
							391435, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 501,
						["textureHeight"] = 170,
						["textureWidth"] = 225,
						["offsetY"] = 140,
						["fileDataIDs"] = {
							391430, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 361,
						["textureHeight"] = 195,
						["textureWidth"] = 245,
						["offsetY"] = 195,
						["fileDataIDs"] = {
							391434, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 453,
						["textureHeight"] = 220,
						["textureWidth"] = 265,
						["offsetY"] = 259,
						["fileDataIDs"] = {
							391437, -- [1]
							391436, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 212,
						["textureHeight"] = 450,
						["textureWidth"] = 384,
						["offsetY"] = 178,
						["fileDataIDs"] = {
							391429, -- [1]
							391428, -- [2]
							391427, -- [3]
							391426, -- [4]
						},
					}, -- [9]
				},
				[1423] = {
					{
						["offsetX"] = 537,
						["textureHeight"] = 160,
						["textureWidth"] = 165,
						["offsetY"] = 367,
						["fileDataIDs"] = {
							271544, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 716,
						["textureHeight"] = 245,
						["textureWidth"] = 175,
						["offsetY"] = 299,
						["fileDataIDs"] = {
							271533, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 592,
						["textureHeight"] = 160,
						["textureWidth"] = 180,
						["offsetY"] = 241,
						["fileDataIDs"] = {
							271542, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 172,
						["textureHeight"] = 150,
						["textureWidth"] = 185,
						["offsetY"] = 477,
						["fileDataIDs"] = {
							271512, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 620,
						["textureHeight"] = 205,
						["textureWidth"] = 190,
						["offsetY"] = 128,
						["fileDataIDs"] = {
							271520, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 79,
						["textureHeight"] = 205,
						["textureWidth"] = 190,
						["offsetY"] = 98,
						["fileDataIDs"] = {
							271522, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 620,
						["textureHeight"] = 275,
						["textureWidth"] = 195,
						["offsetY"] = 291,
						["fileDataIDs"] = {
							271543, -- [1]
							271530, -- [2]
						},
					}, -- [7]
					{
						["offsetX"] = 156,
						["textureHeight"] = 205,
						["textureWidth"] = 200,
						["offsetY"] = 360,
						["fileDataIDs"] = {
							271551, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 291,
						["textureHeight"] = 165,
						["textureWidth"] = 205,
						["offsetY"] = 401,
						["fileDataIDs"] = {
							271548, -- [1]
						},
					}, -- [9]
					{
						["offsetX"] = 614,
						["textureHeight"] = 165,
						["textureWidth"] = 205,
						["offsetY"] = 30,
						["fileDataIDs"] = {
							271554, -- [1]
						},
					}, -- [10]
					{
						["offsetX"] = 409,
						["textureHeight"] = 250,
						["textureWidth"] = 205,
						["offsetY"] = 345,
						["fileDataIDs"] = {
							2212700, -- [1]
						},
					}, -- [11]
					{
						["offsetX"] = 309,
						["textureHeight"] = 179,
						["textureWidth"] = 210,
						["offsetY"] = 489,
						["fileDataIDs"] = {
							271514, -- [1]
						},
					}, -- [12]
					{
						["offsetX"] = 271,
						["textureHeight"] = 210,
						["textureWidth"] = 210,
						["offsetY"] = 261,
						["fileDataIDs"] = {
							271536, -- [1]
						},
					}, -- [13]
					{
						["offsetX"] = 7,
						["textureHeight"] = 360,
						["textureWidth"] = 220,
						["offsetY"] = 231,
						["fileDataIDs"] = {
							2212705, -- [1]
							2212706, -- [2]
						},
					}, -- [14]
					{
						["offsetX"] = 722,
						["textureHeight"] = 215,
						["textureWidth"] = 225,
						["offsetY"] = 166,
						["fileDataIDs"] = {
							271537, -- [1]
						},
					}, -- [15]
					{
						["offsetX"] = 422,
						["textureHeight"] = 150,
						["textureWidth"] = 230,
						["offsetY"] = 36,
						["fileDataIDs"] = {
							271535, -- [1]
						},
					}, -- [16]
					{
						["offsetX"] = 442,
						["textureHeight"] = 235,
						["textureWidth"] = 230,
						["offsetY"] = 199,
						["fileDataIDs"] = {
							271523, -- [1]
						},
					}, -- [17]
					{
						["offsetX"] = 457,
						["textureHeight"] = 195,
						["textureWidth"] = 240,
						["offsetY"] = 109,
						["fileDataIDs"] = {
							271521, -- [1]
						},
					}, -- [18]
					{
						["offsetX"] = 194,
						["textureHeight"] = 200,
						["textureWidth"] = 240,
						["offsetY"] = 9,
						["fileDataIDs"] = {
							271529, -- [1]
						},
					}, -- [19]
					{
						["offsetX"] = 717,
						["textureHeight"] = 170,
						["textureWidth"] = 245,
						["offsetY"] = 471,
						["fileDataIDs"] = {
							271553, -- [1]
						},
					}, -- [20]
					{
						["offsetX"] = 537,
						["textureHeight"] = 175,
						["textureWidth"] = 250,
						["offsetY"] = 463,
						["fileDataIDs"] = {
							271532, -- [1]
						},
					}, -- [21]
					{
						["offsetX"] = 169,
						["textureHeight"] = 270,
						["textureWidth"] = 360,
						["offsetY"] = 83,
						["fileDataIDs"] = {
							271518, -- [1]
							271527, -- [2]
							2212703, -- [3]
							2212704, -- [4]
						},
					}, -- [22]
				},
				[1427] = {
					{
						["offsetX"] = 77,
						["textureHeight"] = 235,
						["textureWidth"] = 275,
						["offsetY"] = 366,
						["fileDataIDs"] = {
							254503, -- [1]
							254504, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 494,
						["textureHeight"] = 220,
						["textureWidth"] = 305,
						["offsetY"] = 300,
						["fileDataIDs"] = {
							2201968, -- [1]
							2201949, -- [2]
						},
					}, -- [2]
					{
						["offsetX"] = 545,
						["textureHeight"] = 230,
						["textureWidth"] = 305,
						["offsetY"] = 407,
						["fileDataIDs"] = {
							254527, -- [1]
							254528, -- [2]
						},
					}, -- [3]
					{
						["offsetX"] = 247,
						["textureHeight"] = 280,
						["textureWidth"] = 360,
						["offsetY"] = 388,
						["fileDataIDs"] = {
							2201972, -- [1]
							2201970, -- [2]
							2201969, -- [3]
							2201971, -- [4]
						},
					}, -- [4]
					{
						["offsetX"] = 85,
						["textureHeight"] = 430,
						["textureWidth"] = 405,
						["offsetY"] = 30,
						["fileDataIDs"] = {
							254509, -- [1]
							254510, -- [2]
							254511, -- [3]
							254512, -- [4]
						},
					}, -- [5]
					{
						["offsetX"] = 250,
						["textureHeight"] = 325,
						["textureWidth"] = 425,
						["offsetY"] = 170,
						["fileDataIDs"] = {
							254529, -- [1]
							254530, -- [2]
							254531, -- [3]
							254532, -- [4]
						},
					}, -- [6]
					{
						["offsetX"] = 422,
						["textureHeight"] = 365,
						["textureWidth"] = 460,
						["offsetY"] = 8,
						["fileDataIDs"] = {
							254505, -- [1]
							254506, -- [2]
							254507, -- [3]
							254508, -- [4]
						},
					}, -- [7]
				},
				[1431] = {
					{
						["offsetX"] = 19,
						["textureHeight"] = 330,
						["textureWidth"] = 160,
						["offsetY"] = 132,
						["fileDataIDs"] = {
							271453, -- [1]
							271454, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 102,
						["textureHeight"] = 145,
						["textureWidth"] = 195,
						["offsetY"] = 302,
						["fileDataIDs"] = {
							2212669, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 653,
						["textureHeight"] = 175,
						["textureWidth"] = 200,
						["offsetY"] = 120,
						["fileDataIDs"] = {
							271466, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 690,
						["textureHeight"] = 220,
						["textureWidth"] = 220,
						["offsetY"] = 353,
						["fileDataIDs"] = {
							2212676, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 504,
						["textureHeight"] = 340,
						["textureWidth"] = 220,
						["offsetY"] = 117,
						["fileDataIDs"] = {
							271470, -- [1]
							271477, -- [2]
						},
					}, -- [5]
					{
						["offsetX"] = 390,
						["textureHeight"] = 250,
						["textureWidth"] = 235,
						["offsetY"] = 382,
						["fileDataIDs"] = {
							271449, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 539,
						["textureHeight"] = 230,
						["textureWidth"] = 250,
						["offsetY"] = 369,
						["fileDataIDs"] = {
							271455, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 243,
						["textureHeight"] = 285,
						["textureWidth"] = 255,
						["offsetY"] = 348,
						["fileDataIDs"] = {
							271448, -- [1]
							271456, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 55,
						["textureHeight"] = 250,
						["textureWidth"] = 275,
						["offsetY"] = 342,
						["fileDataIDs"] = {
							271444, -- [1]
							271483, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 631,
						["textureHeight"] = 280,
						["textureWidth"] = 315,
						["offsetY"] = 162,
						["fileDataIDs"] = {
							271471, -- [1]
							271461, -- [2]
							271450, -- [3]
							271451, -- [4]
						},
					}, -- [10]
					{
						["offsetX"] = 85,
						["textureHeight"] = 300,
						["textureWidth"] = 350,
						["offsetY"] = 149,
						["fileDataIDs"] = {
							271473, -- [1]
							271463, -- [2]
							271467, -- [3]
							271464, -- [4]
						},
					}, -- [11]
					{
						["offsetX"] = 298,
						["textureHeight"] = 420,
						["textureWidth"] = 360,
						["offsetY"] = 79,
						["fileDataIDs"] = {
							2212678, -- [1]
							2212679, -- [2]
							2212680, -- [3]
							2212681, -- [4]
						},
					}, -- [12]
					{
						["offsetX"] = 89,
						["textureHeight"] = 210,
						["textureWidth"] = 910,
						["offsetY"] = 31,
						["fileDataIDs"] = {
							271481, -- [1]
							271460, -- [2]
							271474, -- [3]
							271468, -- [4]
						},
					}, -- [13]
				},
				[1435] = {
					{
						["offsetX"] = 724,
						["textureHeight"] = 365,
						["textureWidth"] = 215,
						["offsetY"] = 120,
						["fileDataIDs"] = {
							272739, -- [1]
							272746, -- [2]
						},
					}, -- [1]
					{
						["offsetX"] = 171,
						["textureHeight"] = 205,
						["textureWidth"] = 235,
						["offsetY"] = 145,
						["fileDataIDs"] = {
							272736, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 0,
						["textureHeight"] = 245,
						["textureWidth"] = 240,
						["offsetY"] = 262,
						["fileDataIDs"] = {
							2213206, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 0,
						["textureHeight"] = 305,
						["textureWidth"] = 245,
						["offsetY"] = 140,
						["fileDataIDs"] = {
							272759, -- [1]
							272750, -- [2]
						},
					}, -- [4]
					{
						["offsetX"] = 746,
						["textureHeight"] = 668,
						["textureWidth"] = 256,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							272756, -- [1]
							272737, -- [2]
							272769, -- [3]
						},
					}, -- [5]
					{
						["offsetX"] = 129,
						["textureHeight"] = 240,
						["textureWidth"] = 275,
						["offsetY"] = 236,
						["fileDataIDs"] = {
							272747, -- [1]
							272763, -- [2]
						},
					}, -- [6]
					{
						["offsetX"] = 565,
						["textureHeight"] = 275,
						["textureWidth"] = 300,
						["offsetY"] = 218,
						["fileDataIDs"] = {
							272772, -- [1]
							272760, -- [2]
							2213215, -- [3]
							2213216, -- [4]
						},
					}, -- [7]
					{
						["offsetX"] = 286,
						["textureHeight"] = 235,
						["textureWidth"] = 315,
						["offsetY"] = 110,
						["fileDataIDs"] = {
							272768, -- [1]
							272770, -- [2]
						},
					}, -- [8]
					{
						["offsetX"] = 552,
						["textureHeight"] = 250,
						["textureWidth"] = 345,
						["offsetY"] = 378,
						["fileDataIDs"] = {
							272740, -- [1]
							272773, -- [2]
						},
					}, -- [9]
					{
						["offsetX"] = 279,
						["textureHeight"] = 315,
						["textureWidth"] = 360,
						["offsetY"] = 237,
						["fileDataIDs"] = {
							272742, -- [1]
							272751, -- [2]
							272752, -- [3]
							272764, -- [4]
						},
					}, -- [10]
					{
						["offsetX"] = 492,
						["textureHeight"] = 305,
						["textureWidth"] = 365,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							2213200, -- [1]
							2213202, -- [2]
							2213203, -- [3]
							2213204, -- [4]
						},
					}, -- [11]
				},
				[1439] = {
					{
						["offsetX"] = 318,
						["textureHeight"] = 215,
						["textureWidth"] = 150,
						["offsetY"] = 162,
						["fileDataIDs"] = {
							769206, -- [1]
						},
					}, -- [1]
					{
						["offsetX"] = 468,
						["textureHeight"] = 195,
						["textureWidth"] = 170,
						["offsetY"] = 85,
						["fileDataIDs"] = {
							769211, -- [1]
						},
					}, -- [2]
					{
						["offsetX"] = 329,
						["textureHeight"] = 158,
						["textureWidth"] = 175,
						["offsetY"] = 510,
						["fileDataIDs"] = {
							271044, -- [1]
						},
					}, -- [3]
					{
						["offsetX"] = 229,
						["textureHeight"] = 183,
						["textureWidth"] = 175,
						["offsetY"] = 485,
						["fileDataIDs"] = {
							769210, -- [1]
						},
					}, -- [4]
					{
						["offsetX"] = 365,
						["textureHeight"] = 195,
						["textureWidth"] = 180,
						["offsetY"] = 181,
						["fileDataIDs"] = {
							769207, -- [1]
						},
					}, -- [5]
					{
						["offsetX"] = 324,
						["textureHeight"] = 205,
						["textureWidth"] = 190,
						["offsetY"] = 306,
						["fileDataIDs"] = {
							271045, -- [1]
						},
					}, -- [6]
					{
						["offsetX"] = 510,
						["textureHeight"] = 215,
						["textureWidth"] = 195,
						["offsetY"] = 0,
						["fileDataIDs"] = {
							271043, -- [1]
						},
					}, -- [7]
					{
						["offsetX"] = 305,
						["textureHeight"] = 170,
						["textureWidth"] = 200,
						["offsetY"] = 412,
						["fileDataIDs"] = {
							769209, -- [1]
						},
					}, -- [8]
					{
						["offsetX"] = 375,
						["textureHeight"] = 190,
						["textureWidth"] = 230,
						["offsetY"] = 94,
						["fileDataIDs"] = {
							769208, -- [1]
						},
					}, -- [9]
				},         
			---------------------------
				
			}

		}
	}


    local function ShouldShowOriginalTexture(mapId)
        if (mapId == 81 or mapId == 18 or mapId == 14)
		and UnitLevel("player") >= 110 then
            return true
        end
    end
    
	local function FindTilesFrame()
		local allMapFrames = {WorldMapFrame.ScrollContainer.Child:GetChildren()}
		for i = 1, #allMapFrames do
			local frame = allMapFrames[i]
			if frame.detailTilePool then
				return frame 
			end
		end
	end
	local db
	
	C_MapExplorationInfo.GetExploredMapTextures_org = C_MapExplorationInfo.GetExploredMapTextures
	
	C_MapExplorationInfo.GetExploredMapTextures = function(mapId_classic)
		if not mapId_classic then
			return {}
		end

		local result = C_MapExplorationInfo.GetExploredMapTextures_org(mapId_classic) or {}
		 
		if not MOD:UserSetting(DGV_REMOVEMAPFOG) then
			return result
		end
		
		if db and db.global.overlayData then
			if db.global.overlayData[mapId_classic] then
				local internalOverlayData = db.global.overlayData[mapId_classic]
				for i=1, #internalOverlayData do
					if not result[i] then
						result[i] = internalOverlayData[i]
									
						result[i]["hitRect"] = {
							["top"] = 0,
							["right"] = 0,
							["left"] = 0,
							["bottom"] = 0,
						}
						
						result[i]["isShownByMouseOver"] = false
					end
				end
			end
		end
		
		return result
	end
	
	--[[Returns:
		{
			mapDirectory = "",
			texData = {
				[mapName1] = 09812341,
				[mapName2] = 98745632
			}
		}
	]]
	
	function MapOverlays.HarvestCurrentMapOverlayInfo()
		if not harvestingDataMode then return end

		local exploredMaps = C_MapExplorationInfo.GetExploredMapTextures_org(WorldMapFrame:GetMapID())
		
		if exploredMaps then
			if not DataExport then
				DataExport = {}
			end
			
			--Currently displayed map
			local currentMapId = WorldMapFrame:GetMapID()
			
			if not DataExport[currentMapId] then
				DataExport[currentMapId] = {}
			end
		
			if exploredMaps then
				for i=1, #exploredMaps do
					local exploredMap = LuaUtils:clone(exploredMaps[i])
					exploredMap.hitRect = nil
					exploredMap.isShownByMouseOver = nil
					DataExport[currentMapId][i] = exploredMap
				end
			end
		end
	end
	
	local overlayTextures  = {}
	overlayTexturesGPS  = {}    
    local bigOverlays = {}


	-- Code courtesy ckknight
	function MOD:GetCurrentCursorPosition(frame)
	local x, y = GetCursorPosition()
	local left, top = frame:GetLeft(), frame:GetTop()
	local width = frame:GetWidth()
	local height = frame:GetHeight()
	local scale = frame:GetEffectiveScale()
	local cx = (x/scale - left) / width
	local cy = (top - y/scale) / height

		if cx < 0 or cx > 1 or cy < 0 or cy > 1 then
			return nil, nil
	end
	return cx, cy
	end

	local formatCoords = "%.2f, %.2f"


	local UpdateWorldMapFrame = MOD.NoOp
	function MOD:InitializeMapOverlays()
		db = LibStub("AceDB-3.0"):New("MapOverlaysDugis", defaults)
		
		-- todo: find replacement
		--hooksecurefunc("WorldMapFrame_Update", UpdateWorldMapFrame);
		hooksecurefunc(WorldMapFrame, "OnMapChanged", UpdateWorldMapFrame);
		
	end

	function MOD:MapHasOverlays()
		local overlayMap = db.global.overlayData[WorldMapFrame:GetMapID()]
		return overlayMap and next(overlayMap)
	end

	function MapOverlays:Load()
		UpdateWorldMapFrame = function()
			if not MOD.CoordsFrame then
				MOD.CoordsFrame = CreateFrame("Frame", nil, WorldMapFrame)
				MOD.CoordsFrame.Player = MOD.CoordsFrame:CreateFontString(nil, "OVERLAY", "GameFontHighlightSmall")
				MOD.CoordsFrame.Cursor = MOD.CoordsFrame:CreateFontString(nil, "OVERLAY", "GameFontHighlightSmall")
				MOD.CoordsFrame:SetScript("OnUpdate", function()
					if MOD:UserSetting(DGV_DISPLAYMAPCOORDINATES)
						and not DugisGuideViewer.mapsterloaded
						and not DugisGuideViewer.tomtomloaded
					then
						local _, _, x, y  = DugisGuideViewer:GetUnitPosition("player", true, nil, true)
						if not x or not y then
							MOD.CoordsFrame.Player:SetText("|cffffd200Player:|r ---")
						else
							MOD.CoordsFrame.Player:SetFormattedText("|cffffd200Player:|r %s", formatCoords:format(x*100, y*100))
						end

						if WorldMapFrame.ScrollContainer.Child:GetLeft() then --prevents error on early load
							local cX, cY = MOD:GetCurrentCursorPosition(WorldMapFrame.ScrollContainer.Child)
							if not cX or not cY then
								MOD.CoordsFrame.Cursor:SetText("|cffffd200Cursor:|r ---")
							else
								MOD.CoordsFrame.Cursor:SetFormattedText("|cffffd200Cursor:|r %s", formatCoords:format(cX*100, cY*100))
							end
						end
                        MOD.CoordsFrame:Show()
					else
						MOD.CoordsFrame:Hide()
					end

					if DugisGuideViewer.tomtomloaded
						or MOD:UserSetting(DGV_DISPLAYMAPCOORDINATES)
					then
					
					end
				end)
				MOD.CoordsFrame:Show()
			end

			MOD.CoordsFrame.Player:ClearAllPoints()
			MOD.CoordsFrame.Cursor:ClearAllPoints()
			
			MOD.CoordsFrame.Player:SetPoint("TOPLEFT", WorldMapFrame, "BOTTOM", -120, 20)
			MOD.CoordsFrame.Cursor:SetPoint("TOPLEFT", WorldMapFrame, "BOTTOM", 20, 20)
		
		end
		MOD:InitializeMapOverlays()
        
        UpdateWorldMapFrame()
	end

	function MapOverlays:Unload()
		UpdateWorldMapFrame = MOD.NoOp
		if MOD.CoordsFrame then MOD.CoordsFrame:Hide() end
	end
end
